commit 7b5bff3d15f887002866729db094a289056fae55
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 22:48:43 2015 +0100

    demux: adaptative: fix unsupported format regression
    
    Due to hls we we waiting for demuxer to start, which would
    load the demuxer source (sub playlist then) and from that
    file we would have the format and change the demux if
    required.
    
    The problem is that any unsupported format (like split subtitles)
    is now being to be demuxed and gets probed and demuxed.

commit 7661da70f194138b645d3630d035b97830ef319c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 22:00:12 2015 +0100

    demux: hls: fix truncated value (cid #1346923, #1313683)

commit 1ff8d453578b547b1bc78edb486ff347bb48ffb7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 21:39:01 2015 +0100

    skins2: uninitialized member (cid #1346980)

commit ab45fefcb525ddd4c4d1e915556aeab5dacef36b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 18:56:59 2015 +0100

    mux: mp4: check alloc return (cid #1346924)

commit 64876b81b2087b9851241edca9471efc926f47fc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 18:53:09 2015 +0100

    packetizer: h264: remove dead code (cid #1346938)

commit 2ef784f347599b0b5697432d8a39b787789d628d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 18:50:46 2015 +0100

    demux: mp4: remove dead code (cid #1346937)

commit 3a22750ee684c732e8739123c167d4d5b84438fd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 18:40:56 2015 +0100

    access: vdr: fix null dereference (cid #1346943)

commit 07c6818558eb1033f7de5ead0e07f8e630b598e6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 18:36:07 2015 +0100

    freetype: fix null dereference (cid #1346944)

commit f53c706ba3d6d21c147f248fbfbd21fe96a1f98e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 18:18:12 2015 +0100

    codec: subsdec: fix div by zero (cid #1346941)

commit a84002ca06131d5597e8c65f8d049aa850671774
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 18:14:26 2015 +0100

    codec: tx3g: fix null dereference (cid #1346947, #1346946, #1346945)

commit 60d127b43f36c81bf9396e7f43c2907bb796cc4c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 17:45:19 2015 +0100

    packetizer: h264: fix null dereference (cid #1346950, #1346949)

commit 486121cf80773d2398100d468ecffb991cc478e0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 17:32:46 2015 +0100

    demux: smooth: fix null dereference (cid #1346951)

commit 1a117d26bd508fc512c259729a3cdf99576cbf41
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 17:27:03 2015 +0100

    demux: mp4: add missing switch break (fix #1346952)

commit 45a8c2abd25a67693e639e740128fb5e398799a4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 16:51:48 2015 +0100

    video_filter: hqdn3d: handle alloc failures

commit 6c5c07b96b1a349fe76473a84e8b561522bcea4d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 16:39:04 2015 +0100

    video_filter: hqdn3d: reject computed height <= 0 (cid #718140)
    
    Otherwise can make use of malloc(0) buffers

commit 4245a61c06bc0d73cdd7eb1c82dd5a7b1daf1856
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 16:07:00 2015 +0100

    sout: chromecast: remove dead code (cid #1346991)

commit 71d23a3289410e2a068c79e6dacd9b4d8113edf1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 16:04:17 2015 +0100

    demux: adaptative: fix leak on empty timeline (cid #1346961)

commit c5a82eade80955faa68c834f7827efe48d1b9b14
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 31 18:31:02 2015 +0200

    http: remove constant member

commit 70b37557021a7169f88cda4e959a4e73d2d4104d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 31 18:30:43 2015 +0200

    http: remove dead code
    
    (i_read is always zero)

commit d64372c7c3aee7ae7c4544a53cd7f0b9e829d466
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 15:58:24 2015 +0100

    demux: adaptative: fix uninitialized thread_t (fix #1346983)
    
    Sets dumb initializer, and adds member to avoid joining invalid
    thread reference.

commit efe5041cc3b334708160f4a356e10a809969a2d0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 15:43:19 2015 +0100

    demux: smooth: remove uninitialized/unused member (cid #1346985)

commit 2c34942f7bfe036781d6f67cc08fd8a53ce13342
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 15:37:36 2015 +0100

    skins2: x11: fix build

commit 1edcca76e9a72c5ffe287d7d408aab26091c4106
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 15:37:04 2015 +0100

    demux: adaptative: remove uninitialized/unused member (cid #1346987)

commit abe21d539954a76ab041069734a6a33a3250bbdc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 15:33:36 2015 +0100

    demux: adaptative: fix uninitialized member (cid #1346986)

commit 6e1c08a211f681d9d122f019491747d3c01cc30c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 15:01:22 2015 +0100

    access: live555: fix mem leaks (cid #1346966, #1346965, #1346964)

commit 10e3b5a898d3760c9f07731299ca35c2b6cd595c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 14:51:52 2015 +0100

    access: http: fix resp leaks on incorrect TE (cid #1346968)

commit 01ae91fc42e7d28b0217368fabdfc1fed97cd23e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 14:46:42 2015 +0100

    demux: ttml: fix leaks (cid #1346970, cid #1346969)

commit 83d458302a0693117213414dc24d5690005c0a0e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 14:36:47 2015 +0100

    access: http: fix uninitialized member (cid #1346979)

commit 306544c892bdb0479070e6e1795c812a2be10e34
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 14:28:08 2015 +0100

    demux: smooth: fix memleak (cid #1346971)

commit 99d31901ae430d74bcc5449c5cdc88081c69714c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 14:24:57 2015 +0100

    demux: adaptative: fix use after free (cid #1346996)

commit e7874f136f99b527cf9420bc77a48d3e981ceb45
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 14:19:12 2015 +0100

    demux: adaptative: fix use after free (cid #1346995)

commit b796d9b8d0461f542bd760116d61f6b5ec843bf1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 31 14:17:12 2015 +0100

    demux: adaptative: fix read after free (cid #1346997)

commit 86dff7e0bca5b618c792a397540564591e99c9ba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 31 16:28:18 2015 +0200

    demux: fix NULL deref on invalid redirection

commit 4768fb3d6b84b5e90bce1b3e73d63a654a3b8b81
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 31 16:16:26 2015 +0200

    skins2: fix ToCToU

commit 04706d48e6b8cdef3fa60f6111037fa2307bd6b1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 31 16:09:31 2015 +0200

    https: avoid EBADF on error

commit 4349f7329dc4ac85a9eb86f853c82140c06cda91
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 31 16:05:41 2015 +0200

    https: flawed logic (alloc error)

commit 0134928b800c8e8ffb09359d45fec698f9f30f7a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 31 16:02:16 2015 +0200

    https: leak on alloc error

commit 2c27ef472414d3b7ca0c85ce0330086c2f2066d7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 31 15:42:49 2015 +0200

    https: double free on alloc error

commit 5adb1307d72331e4886cf89e0a033383bb48d8d6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 31 15:31:52 2015 +0200

    https: NULL deref
    
    (in currently unused code)

commit 6c733dc49214fcc5c5867a5ff72c7636cb77192c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 31 15:31:36 2015 +0200

    https: format string

commit 8ad73239becb4b180a196c27c38ac16dccf6a474
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 31 15:31:11 2015 +0200

    directory: flawed logic

commit 573c2015f2af66a2ba374e3cc972609e11d50e76
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 31 14:30:10 2015 +0100

    ttml: Fix i_read type
    
    Fix CID #1346955

commit 36eb0436f6eb07138c2a269226a317c01cdc4c58
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 31 14:24:11 2015 +0100

    substtml: Fix leak on error
    
    Fix CID #1346962

commit 3f849571fb5f88e9446076af7f2a6d597d1a90ff
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 31 14:17:39 2015 +0100

    ttml: Fix leak on error
    
    fix CID #1346970 & #1346968

commit 8908961a5c8cc6b992126073580782c44ca3b291
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 30 23:53:38 2015 +0100

    demux: nuv: fix divbyzero

commit 13dd520ce3a916e27875cc2908ed5cfec4354ab5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 30 23:48:16 2015 +0100

    demux: nuv: fix leaks on failed Open

commit d58977883b3329497a32dbf2de4ed4a460f7fa64
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 30 23:36:32 2015 +0100

    demux: nuv: fix unchecked realloc

commit 5a95c543c9f400f43cd1cb2f3e022dd9cbb26927
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 30 23:05:47 2015 +0100

    demux: mkv: unchecked return

commit 40a82fd491448d6dd766e8b6736d14235b1b8127
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 30 22:59:11 2015 +0100

    mux: mp4: unchecked return

commit 00b67afdef1149b132d36edc659ac09ba9c8dce2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 30 19:10:48 2015 +0100

    access: mmstu: missing stream selection

commit 7fa7f22ff377445773602c64692ef6e0d5426e02
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 30 16:02:28 2015 +0100

    Qt: sout: don't parse MRL when not URL (fix #16267)

commit ee8c9ec3f4202d7286e7c95f333f0aa9493a8ef7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 29 21:50:28 2015 +0100

    demux: hls: update live refresh interval

commit 72267b16fbfdc9241b840d639ea83fddbccec247
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 29 21:53:42 2015 +0100

    demux: adaptative: split segment tracking between cur and next

commit 4bf1e07ad8207cea0d57071fbd55a42db551edd8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 29 16:01:12 2015 +0100

    demux: adaptative: wait segments when starving

commit 0579ca717d47a10c0bcf6d0177ffd665160f3595
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 29 14:04:26 2015 +0100

    demux: adaptative: add Accept-Encoding to reject compression

commit f539b189b81a2ea96ea3880d57c6e4c9c487436a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 29 13:07:52 2015 +0100

    test: fix distclean

commit 80a9e44518c902e7eab2d8d85205d76ae68242c2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 29 11:01:11 2015 +0100

    Sout Makefile: cosmetics

commit 4934cda0b4ab4f9edbdb68a6d5d57c9fad4969b2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 28 14:49:36 2015 +0100

    access: mmstu: avoid overflow reading bitrate

commit c641af460856c81cfd6c91e2a4edc3304681f494
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 28 14:20:34 2015 +0100

    access: mmstu: remove xmalloc and simplify

commit de4b5430990bd7d2b48b33cd88d1747c5f943131
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 28 14:17:14 2015 +0100

    access: mmstu: drop xrealloc and simplify

commit 377b93ef0b09c7be6b6cb53228d195c916f19b61
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 28 13:53:44 2015 +0100

    access: mmstu: check command length before parsing

commit 90ceeec675148623dd214b7f255c7a08baf614b5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 28 12:57:08 2015 +0100

    access: mmstu: check for overflows (refs #16246)

commit 3524d9e534c5d1cacb6329798688c46741163c93
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 27 23:34:45 2015 +0100

    access: mmstu: fix signedness

commit 03f61eff6a620fc979a84b80a019006f64b4477b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 27 23:22:03 2015 +0100

    access: mmsu: remove xmalloc

commit f21453e339edfce2e22e5b330ee4ec858550fd3e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 26 23:43:40 2015 +0100

    demux: h26x: enable probing

commit 8ecc8c6ae61e90f6c0399ecee95ab7bfc8a66d1e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 23 18:21:34 2015 +0100

    iOS vout: retain view container as early as possible

commit 33f95b18b7159422fc6d3e8c2fd3ff751e72c19e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 26 16:42:43 2015 +0100

    demux: h26x: rewrite probing
    
    Should allow strong matching against raw h264/hevc

commit b15db2c780c20204c45cd9473f8e25d905dcc842
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 26 19:08:22 2015 +0100

    cachegen: Remove remnants of -f option
    
    The -f option of cachegen was removed in d71c794d.
    
    refs #16211

commit 6db91d9999d21efa9da3732637436c94b17df693
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 26 19:05:08 2015 +0100

    chromecast: include errno.h
    
    Fixed compilation on OS X, ETIMEDOUT was not defined.

commit 82b4c8e82acc6a60b91581f10bb6ef755da2d16f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 24 16:20:36 2015 +0100

    MODULES_LIST: list.sh: fix sort check

commit a1b2802286fa18a39906084c75ef79e524510364
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 24 15:24:34 2015 +0100

    demuxers: h26x: merge H264 and HEVC
    
    Those ones now only differed in probing, codec and packetizer.
    Merged as h26x.
    Kills one string.
    Renames hevc-force-fps to hevc-fps.

commit 3173fc9263c2ff266c0466a4f9caec06ad244782
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 24 15:51:28 2015 +0100

    Update NEWS

commit b5623adc8eb6b6f6b9a385f951f4eee9e8fdee0f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 24 13:21:17 2015 +0100

    packetizer: h264: fix sps/pps chaining with AU prefix
    
    regression introduced by 1d9cfa88e4505b442c8e4d361e9d83a45e37a7a4

commit dcfa9180984e17881930a311d531bc69621717cd
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Wed Dec 23 21:49:58 2015 +0100

    chromecast_ctrl: fix deadlock introduced in e8d7355d0dcd9cd12937900d3ca6b6e2d2d40e71
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 42bcb6ac4642c9928652256b5e1aee658549aeb1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 24 01:40:27 2015 +0100

    packetizer: hevc: enforce default to non I-Frame
    
    If decode_slice fails, no flag is set and hevc
    demux would skip that frame.

commit 482005d068b43ca9c8c22dd4490736a7823c4efc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 24 01:12:58 2015 +0100

    packetizer: hevc: fix small vcl regression
    
    Wrong 7 bytes test + 4 bytes prefix > 8 bytes nal
    WPP_A_ericsson_MAIN10_2.bit

commit 3cb18ace956936a52e4249d673028e0f895e3af4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 24 00:12:22 2015 +0100

    Revert: packetizer: hevc: add broadcast support
    
    reverts 3d1ccaf4624d89d99cb8d2a85797030797efe3e0
    
    Added regressions to at least compliance streams
    str.bin WPP_A_ericsson_MAIN10_2.bit

commit fc65166a59e2ab76cc719f77d2769025f36f2c74
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 23 23:11:21 2015 +0100

    demux: hevc: use packetizer frame rate
    
    Removes dependency on hevc_nal
    and allows more refactoring with h264

commit d789b8849c9876ebf45eed0012e759b9cf7bcdb0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 23 17:43:45 2015 +0100

    demux: h264: use packetizer frame rate when available

commit 64f418a0b77069d5f625e36719a92d7709b43cea
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 23 20:33:05 2015 +0100

    packetizer: hevc: reset pts/dts xps

commit 4bdae2c8d8b94f159ea54d35a908a1d753f8bfff
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 23 19:33:35 2015 +0100

    packetizer: hevc: extract frame rate

commit b73ac5bdaed7e3c870fb7a4de2125128eea0d0de
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 23 17:44:28 2015 +0100

    packetizer: h264: set frame rate from vui when possible

commit b16b71dd11c7ecc6d97a22bbdc0ab77bbe946b86
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 23 19:31:18 2015 +0100

    hevc_nal: remove const

commit 8e8148338c8f1f1a186ffea1910ff797bc214b66
Author: Salah-Eddin Shaban <salah@videolan.org>
Date:   Wed Dec 23 20:58:16 2015 +0200

    freetype: handle carriage returns
    
    Close #16186
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c725a2f13b603e399a0a2119f9ec20ad4de9b243
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:52 2015 +0100

    stream_out: only enable Chromecast if SOUT is enabled
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d6de56802104d0f21eac936daa558f7f13014bd6
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:51 2015 +0100

    chromecast: the stream cannot work if the communication handler is NULL
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 427731866a3ee7d9699a989772755efbfcb17d5f
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:49 2015 +0100

    chromecast: remove unused headers
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 51174cd75ea041398a525785836a13eb3f7c0c2e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:49 2015 +0100

    chromecast: move connect/disconnectChromecast in the communication handler
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 82d70b6fe7f765ecec0398eaaf7a08be1c50f7be
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:48 2015 +0100

    chromecast: use vlc_mutex_locker
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e326621f71f21935b72628b1467b03b4b67295c9
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:47 2015 +0100

    chromecast: make sure we send the load when the data are flowing
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e8d7355d0dcd9cd12937900d3ca6b6e2d2d40e71
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:46 2015 +0100

    chromecast: better and less logs
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1db584485d8dbd21b1644336050a7ef912d87611
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:45 2015 +0100

    chromecast: log when the Chromecast reports a launch error
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 301cd74159aac8082e425449bfcd9f92de153772
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:44 2015 +0100

    chromecast: when another app is running on the receiver, start the media player
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e9dea57b5efd8e28053093a97db6453300cf4df1
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:43 2015 +0100

    chromecast: only lock once when checking the current app
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b84d8384b89b0dfbd0fa6430fcd03fcaf65946f9
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:42 2015 +0100

    chromecast: use a reference to the received namespace
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6da28de45922bca57a112e89ef597d9fc08ae030
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:41 2015 +0100

    chromecast: use U32_AT instead of memcpy() + hton32()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ed7660f524ed34fb03d6f45d750ffd4ef154e982
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:40 2015 +0100

    chromecast: make sure we send all the message data
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 43ef6f5eeb0b2e93d01f02ff43951a2bff78a470
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:39 2015 +0100

    chromecast: differentiate error logs
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b613bad6082d9da9dfdfcd022165937780f82827
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:38 2015 +0100

    chromecast: move the packet receiver in the communication handler
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ad959d9071b92360bb17c59de5d8ce38e35219f6
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:37 2015 +0100

    chromecast: GET_STATUS and LAUNCH require a request ID
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bb2704f3c68e4e7a359f426b7c2db8e0abbd7f77
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:36 2015 +0100

    chromecast: no need to share some constants anymore
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 84aa4167d97c838660ff3cebb46963abc2b184aa
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:35 2015 +0100

    chromecast: simplify the auth payload sending
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a1ea22787a28f021496d51a6ef3dac8e3e206d10
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:34 2015 +0100

    chromecast: the default payload type we send is STRING
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0485d346a119ad3efca305dd57febcd7c32f423a
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:33 2015 +0100

    chromecast: factorize the code to push a message to send
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d4898706aba21fd95cc2a571807203726bc9ddd5
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:32 2015 +0100

    chromecast: pass const references to buildMessage()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 434bd4b5b5216440dc6e1fbca4db9fb6374f002d
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:31 2015 +0100

    chromecast: move buildMessage() in the class
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 408865296fa58f0b4ca622b8b6d4fc1e2f998450
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:30 2015 +0100

    chromecast: move the message sending in the communication handler
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6147305cf711499eb6a86a32126e8fd98a12c5b8
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:29 2015 +0100

    chromecast: make conn_status private and use getter/setter
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f2993b77797bee330e7fad933bead5db5b3a5ecb
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:28 2015 +0100

    chromecast: use the enum to handle the connection status
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 46d740aa98e6c3bf14ce994a9a78941bc823e5ae
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:27 2015 +0100

    chromecast: processMessage() doesn't need to return a value
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a5c8125654b8d078f67bacc8b81af3103fc828ec
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:26 2015 +0100

    chromecast: move processMessage() in the communication handler
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit efe32935322fd380fde17551bf719b4f9c68155e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:25 2015 +0100

    chromecast: pass the destination namespace by reference
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4921e9a278d6a88f49c8680e8635f751f98a160e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:24 2015 +0100

    chromecast: reuse the same objects for namespaces
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a459a47ba5acbd4c70d3f34988c101b8e33de72e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:23 2015 +0100

    chromecast: rename msg methods according to the receiver
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7f0417885e6f1351899c6fbb9159403ac21cf19f
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 23 12:58:22 2015 +0100

    chromecast: move the messages sending in a separate class
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit adfe0c2603679dcda4418aed776cf23b2991bcea
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 23 17:28:05 2015 +0100

    contrib/libdsm: update to 0.1.0

commit 8005f40e980e9ff16edafd0123dea15fcc3ccdba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 23 18:14:17 2015 +0200

    https: redirect to MMS over HTTP (fixes #16180)

commit 5e020e6dfc81d06df730d31c12cc5528663494a8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 23 16:00:29 2015 +0100

    demux: h264: fix frame dts/pts with interlaced video
    
    Conformance sample 50fps, interlaced, MVCICT-1.264

commit 1d9cfa88e4505b442c8e4d361e9d83a45e37a7a4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 23 12:12:33 2015 +0100

    packetizer: h264: optmize sps/pps blocks chaining

commit 765844b7b05b344c5204427efcb30fbeda41f812
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 23 12:08:55 2015 +0100

    packetizer: h264: optimize slice blocks chaining

commit 25bc227153881f55a0536dd3759497e975a7ed19
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 23 12:05:26 2015 +0100

    packetizer: h264: check for null block
    
    corner case when frame contains only AU delimiter

commit 04585fdf4668e1c13d1e4bf70de717f9620417e5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 23 00:33:56 2015 +0200

    https: test cases for previous commits

commit a9f3ddf463773c92e3c2541114317d66d6fbfdd3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 23 00:33:21 2015 +0200

    https: improve header field list iteration

commit eeab18ae0547bd91b316466c185fd47bf30c1577
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 23 00:32:31 2015 +0200

    https: discard leading and trailing OWS in header field values

commit 3d1ccaf4624d89d99cb8d2a85797030797efe3e0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 17 15:16:18 2015 +0100

    packetizer: hevc: add broadcast support
    
    Does reinject xps NAL on I Frame. Still not optimal
    and duplicate prone, but that's what current
    AVC muxer does.

commit 0457a2b225b713e5bb9933043491fbcffbc9b4bd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 22 14:12:07 2015 +0100

    hevc_nal: add nuh_layer constraint for decoding
    
    Content for layer >= 63 is unspecified

commit 26cfb65905b8df3438767bd913d3190f83b8cb64
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 22 17:46:56 2015 +0100

    demux: hevc: only compute dts on new base layer VCL

commit 619d1d9dfc5dacc9ca3991e23db589defaa778b2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 22 15:51:29 2015 +0100

    decoder: fix build without ENABLE_SOUT
    
    This fixes a regression from d3db4b7fd3acabd60f61b5dd2bf7cbe3f77ce0ab

commit 9e574d10fe6d06363b3c8b803747cfc428530306
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Dec 18 12:48:01 2015 +0100

    chromecast: forward sout Flush and Control calls
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit aa505e2cc6f39c646ba0b04e963515d9e11a8a16
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Dec 18 11:24:48 2015 +0100

    stream_output: handle Flushing via sout_MuxFlush()
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit ecacf6f0dd8694d16daf1f9c227814cc1f6360d0
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Dec 18 10:39:38 2015 +0100

    stream_output: add sout_InputFlush()
    
    when seeking during stream output we need to be able to flush internal buffers
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit d3db4b7fd3acabd60f61b5dd2bf7cbe3f77ce0ab
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Dec 18 10:25:01 2015 +0100

    stream_output: query the stream output to know when the decoder is really empty
    
    similar to vout_IsEmpty() for stream output
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit aeb68de168925e376b5fb7470de9b81f93daf765
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 21 21:18:14 2015 +0100

    videotoolbox: use generic AnnexB to xVC converter

commit 4fd90c582c00b3897c360c80b35be588fabad941
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 22 11:57:47 2015 +0100

    tests: add nal conversions test

commit 928acb9ece7b319aa4f0eb60fbd0ccae5d3ccfe7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 20 21:12:10 2015 +0100

    hxxx_nal: add generic AnnexB to AVC/HVC converter
    
    Converts any AnnexB prefix to any xVC prefix.
    Adds zero copy optimizations for single NAL.

commit f8d477943052c336ca9953ea8566ab56daddf832
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 22 11:58:39 2015 +0100

    Contribs: update live555

commit d18cfbfec0d762f4809e6d66e9b3d4a86b46f01d
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Mon Dec 21 16:39:14 2015 -0500

    core: do not export vlc_tdestroy()
    
    It was mistakenly added in 315f8e47d9503a94bd3955e581ece46f7c175971.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 3b93bdced0a017dee8c63076fc7b7440384137a2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 23:10:23 2015 +0200

    sap: use xrealloc()

commit 67124b22f2ecdebf9e3e4712041d6ea1f968be29
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 23:10:12 2015 +0200

    dvb: use xrealloc()

commit bf093863b0542d71e46444c9a7db840ebf69a0f6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 23:09:53 2015 +0200

    mkv: fix leak on error

commit a9984c5b502860b3491a9e21b4de74c875e9d0d0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 22:46:40 2015 +0200

    https: fix receiving multiple cookies (fixes #16181)

commit c1a723e0b003fd1011c36cd4df802e64b118accd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 20:53:55 2015 +0200

    interrupt: fix interruptible functions without any interrupt context
    
    If there are no interrupt contexts in the whole process, then the
    thread variable is uninitialized. This adds a check.
    
    Using thread_local would be much simpler and faster (but C11 threads).

commit 4a9086ff38516208a966578ff8fe3fa703165010
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 20:48:58 2015 +0200

    interrupt: add internal vlc_interrupt_get() helper

commit b257a2cf32f50936f2c4bba04aa3131336aabeac
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 14 18:45:49 2015 +0100

    mediacodec: rename b_error to b_aborted

commit b69e157172e767a02295266c37dd5a0557215fa1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 14 18:41:44 2015 +0100

    mediacodec: implement drain
    
    When draining (pp_block == NULL), queue a dummy input buffer with a EOS flag,
    and wait for the output thread to process all output frames.
    
    This patch also add extra check when processing output buffers. Indeed, in some
    case, the last output buffer with a EOS flag can be invalid.

commit 59e8639b15bdca68a852c0ca73da3620b150cc4c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 15 09:54:19 2015 +0100

    avcodec: handle NULL pp_block
    
    Drain when pp_block is NULL.

commit 4fe75d523a79c3ab7f37ac3e764b32ab82e97d1b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 15 10:08:42 2015 +0100

    decoder: fix decoder drained when using a packetizer
    
    The packetizer set the *pp_block to NULL, therefore p_block was NULL too.
    
    This fixes a regression from 7ada6eae5567c7d716ca03f3d7ddab90ce50e763
    
    Closes #16128

commit 16cd51ee8927e3fa23d3b39b739cc059f23bec15
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 14 15:53:53 2015 +0100

    decoder: fix pf_decode_* and pf_packetize behavior
    
    Audio, video, and sub decoders were not drained. Indeed, pf_decode_* functions
    were called with *pp_block == NULL instead of pp_block == NULL. There was no
    way to distinguish a drain from an other call from the decoder loop.
    
    There was also an issue with the packetizer. Indeed, a successful call to
    pf_packetize leaded to a drain.

commit 71c9693f4229a80e560da488e1546a797e96b1c3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 14 15:54:51 2015 +0100

    vlc_codec: document pf_decoder_* and pf_packetize

commit 3532e72eb51586fd61b97faae1efc96a39c79b4d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 11 11:59:24 2015 +0100

    avcodec: abort pictures when flushing
    
    This fixes a deadlock when seeking paused. It happened when avcodec needed more
    pictures than VLC. It was easily reproducible with h264 in a TS file.

commit 19281ac3c52ff2aa38b5fb52593465996b6d95bf
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 11 11:59:15 2015 +0100

    avcodec: return -ENOMEN when there is no pictures
    
    In case of ENOMEN, the current avcodec worker thread will be stopped.
    
    As advised by lu_zero.

commit 99f74096d5214ad99f52ad5da8f27eb18c52d7e2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 11 11:58:14 2015 +0100

    decoder: add decoder_AbortPictures

commit 6c786aa537c9b1a80088900c03dadd37c132661f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 11 11:57:55 2015 +0100

    vout: change vout_Cancel arguments
    
    Add a boolean to reset the cancel state to false

commit 7ae04107e09cbc33a1c3f4a6a8ad965a52d67e43
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 11 11:52:26 2015 +0100

    picture_pool: change picture_pool_Cancel arguments
    
    Add a boolean to reset the cancel state to false.

commit 65d234554d873c5e3273a4cf58d4be4af30e3634
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 21 15:24:55 2015 +0100

    contrib: gpgerror: Fix tizen workaround
    
    The file has been renamed by 4441e96 in latest libgpg-error

commit 4d7d1f0313025d6db3e4d5119353a564c3ec8342
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 17 15:34:26 2015 +0100

    mediacodec: add mediacodec-tunneled-playback boolean option
    
    Can be used if the surface given to mediacodec has a punch hole. Configuring a
    punch hole depends of the hardware, therefore, this option is only for
    developers that use libvlc with a known hardware.

commit 76a84e0df2229f04318a0b055adbbe856b73c927
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 21 14:28:25 2015 +0100

    packetizer: h264: fix incomplete sei skip

commit 1b68aed01062ba2e50a0f5266f754c57dc86accb
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Dec 21 10:15:25 2015 +0100

    cast: use reinterpret_cast<> instead of C cast in C++ code
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 35396aee0eb6eb7a4529bc8bb42ab5908df9c23c
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Sun Dec 20 12:04:07 2015 +0200

    dvdnav: improve stream probing
    
    First sectors of DVD are filled with zeros.
    Checking boot sector avoids seeking when probing "regular" media files.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a527e9d08638f4c2de7c7fe4eb18ae6e5831c3fe
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 2 15:18:49 2015 +0100

    libvlc: replace existing title menu bool with int bit mask

commit 03581271d3a024d9c504217fca02766cc8672a7e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 23:55:57 2015 +0200

    https: shutdown the TLS session explicitly

commit 09854f8c5d30128e7314f1773288eb11f1f32263
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 00:00:18 2015 +0200

    tls: improve vlc_tls_(Read|Write) return type

commit 10de5cffda0c8f3fb68fef80366b305c8f7dbcce
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 23:52:48 2015 +0200

    tls: improve documentation

commit 3b6bb8ae5453658097b8c99164fdcdbf380d7213
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 23:48:05 2015 +0200

    tls: add separate callback for shutdown

commit 8bff13adf437e716d72952d5a7a3e7f07f8cb357
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 23:29:51 2015 +0200

    https: drain HTTP/2 output queue if possible
    
    The underlying TCP socket is mostly used for receiving. So in most
    cases, there is enough space in send buffers for the final packets
    (such as RST_STREAM and GOAWAY frames).
    
    This fixes a race condition where the output thread got cancelled
    before draining the queue. Now, it only gets cancelled if the send
    buffer is congested (i.e. it calls poll(POLLOUT)). In normal cases,
    the thread will exit explicitly after draining.

commit 0ac52736dfcd5c0b0a19a06616b11feec9d3be12
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 20:26:57 2015 +0200

    flac: use demux_IsContentType()

commit e0031b4ec8bb2117196b89b7853cc584998bc545
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 19:42:09 2015 +0200

    xspf: remove dead code

commit 468228005dbd3358d1e4b68c0187d24dda020ea6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 19:39:20 2015 +0200

    xspf: fix content-type matching (fixes #14576)

commit 714b4749d0e9cad3e8887044cae3f240cf2fbd16
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 19:38:47 2015 +0200

    demux: add demux_IsContentType() helper (refs #14576)

commit 773918ea58f4168e25302af3ae072a0ada6ce287
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 19:01:24 2015 +0200

    http: remove useless reconnection (fixes #3275)
    
    We can handle HTTP/1.0 server responses to HTTP/1.1 client requests.

commit 750d5ebcdfc362c504c52039e851c224be41ac7b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 18:11:27 2015 +0200

    https: simplify HTTP/2 headers parsing

commit cb1f0492ab101ced507b65e7b669a8b66c11e928
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 20 17:07:24 2015 +0100

    packetizer: h264: fix picture AU start
    
    According to 7.4.1.2.3, SPS extension must only follow
    sps and can't be picture start then.

commit f6384a0d90e8075fa470c502454057249d7866a5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 20 17:04:58 2015 +0100

    packetizer: h264: add more nal unit types

commit fb4119ba59f9324bfb158c7d1c136bea5187db1a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 19 23:34:23 2015 +0100

    packetizer: h264: use stripAnnexB in ParseSlice

commit 9b24493afcc29d2c1406dfc2b4a9afae8f5d9713
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 19 23:31:32 2015 +0100

    packetizer: h264: remove last ep3b to rbsp copy conversion

commit e047c398d7f6ec26e5f6461eebafdfe137cafcb8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 20 16:33:14 2015 +0100

    vlc_bits: add bs_aligned

commit dcae6a70f1176e2fc59a1da64d818e0d91214302
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 17:20:31 2015 +0200

    mms: remove "http" shortcut
    
    The HTTP module will redirect to MMS(H) when applicable, so handing
    of the "http" scheem in the MMS module is no longer necessary.
    
    Removing it saves a pointless connection attempt when HTTP fails for a
    reason other than redirecting to MMS.

commit d33f17436f05b8d8e3f16e511db84eccf95a890f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 17:18:53 2015 +0200

    http: use redirection instead of fallback for MMS (refs #3275)

commit 2a1756d332b38ed65873ae30714ae7bac2da1b7a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 17:18:17 2015 +0200

    http: do not redirect HTTPS to MMSH
    
    There is no support for TLS in the current MMS plug-in.

commit 6b2a31e5eb7b6b656f6a7befd9a8a113e86ff49a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 16:52:10 2015 +0200

    mms: let owner handle HTTP redirection (fixes #4631)

commit 3acdc6d8abd3b545d4fa925ea2582cbbe894e6cf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 20 15:13:33 2015 +0100

    videotoolbox: fix build

commit 38990026db77346d172d6bc3355d88da82debb08
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 15:23:52 2015 +0200

    https: use token helpers

commit b32d5548f2a646a2dacffaaa270fc20996fe9605
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 15:19:53 2015 +0200

    https: tests for token parsing

commit 03b4ec183972b50f196173acab597efe1d471f8a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 15:19:43 2015 +0200

    https: add helpers for token parsing

commit 3a660dc66684f7f1409106945cd892a1f1f28174
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 22:59:37 2015 +0200

    https: add some header fields test cases

commit 55f07dff201c9048831fe76abce537270dea1699
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 22:59:06 2015 +0200

    https: also fold incoming HTTP/2 field headers

commit 5a4d40028cff28a8f40e510755beeaed24478ba1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 22:31:11 2015 +0200

    https: fold multiple header fields with identical names

commit 9d4e30d490ada85aafc957d17952312abac64416
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 21:52:44 2015 +0200

    http: remove write-only psz_pragma

commit c95734c9b27c762de603c22295d3c8a79b266428
Author: Ron Wright <logiconcepts819@gmail.com>
Date:   Fri Dec 18 17:47:14 2015 -0600

    bluray: Fix BD_EVENT_UO_MASK_CHANGED case
    
    Building VLC with a libbluray version older than 0.8.1 results in a build
    failure because the BD_EVENT_UO_MASK_CHANGED enum does not exist in those
    older versions. This problem manifests itself in Ubuntu 14.04.
    
      CC       access/liblibbluray_plugin_la-bluray.lo
    access/bluray.c: In function ‘blurayHandleEvent’:
    access/bluray.c:1985:10: error: ‘BD_EVENT_UO_MASK_CHANGED’ undeclared (first use in this function)
         case BD_EVENT_UO_MASK_CHANGED:
              ^
    access/bluray.c:1985:10: note: each undeclared identifier is reported only once for each function it appears in
    make[4]: *** [access/liblibbluray_plugin_la-bluray.lo] Error 1
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e02e73cacad051348db3c0aca681ab73a36dc39f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 20:06:58 2015 +0200

    https: old-style live streaming (http-continuous) helper

commit 3f0a94deae8924aa4b682fa909d37e3882545459
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 19:30:57 2015 +0200

    https: factor out non-specific file helper code

commit 381f7a665ffc65f51356c80226f7a708d8a59f74
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 20:07:37 2015 +0200

    https: add some file test cases

commit 8cd7277cde3d929f7baa0db61ce6162a9848b25e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 19 18:08:24 2015 +0100

    youtube.lua: resolve XML entities in Art URL

commit 623c46ba4ded47624ae4f840b58e8c1227325c74
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 19 17:45:55 2015 +0100

    youtube.lua: more flexible variable declaration parsing in javascript
    
    This copes with: var a=...,b=...;

commit 1119729e7d9755c147782a7f98c07aba5cac6d86
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 16:51:23 2015 +0200

    https: fetch/store cookies in the cookie jar
    
    If present - this is currently only supported by the playlist.
    
    Header field folding is not implemented.

commit 6c76c9baaa2af52420c1bddea4eda9bae4f4d5e7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 16:36:37 2015 +0200

    http cookies: take explicit secure flag, host and path
    
    There is no need for a full URL structure here, and it is sometimes
    inconvenient to require one.

commit 50387530cd8012b9a2ac9fe5b2c328349f2dc441
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 19 15:42:37 2015 +0100

    packetizer: hxxx: fix buffer read overflow

commit e15e038c62b91e5a3c8eb2ccf6a358e1d7a51c8a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 19 13:01:37 2015 +0100

    packetizer: h2xx: remove alloc/memcpy
    
    Packetized input always contains 1 single NAL.
    block_Alloc reserves 32 bytes for header, which
    can be used for AnnexB.
    
    In that case it removes almost all allocs+memcpy
    towards AnnexB conversion, except N-1 extradata NAL
    
    In all cases avoid memcpy/alloc for trailing NAL.

commit d2d14e815ed8f1d982b710751e78a1ac03defc4f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 15:00:32 2015 +0200

    https: minor test coverage improvement

commit 072e04e904a70c02718c82e8c7f5cee07c3d29b6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 22:45:00 2015 +0200

    https: insecure HTTP support for file download layer

commit 9911e583e14b5fb7f000d5e74e616bb390bdab13
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 13:49:26 2015 +0200

    https: add non-TLS support to connection manager

commit c8f672ffe5f10b5d80191bc2d3b92ae1e7493637
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 13:42:04 2015 +0200

    https: add vlc_http_connect()

commit 5138d869242be75a1f1cf0c97264299cea81f8ee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 13:44:13 2015 +0200

    https: allocate x509 credentials on need basis
    
    This avoids loading all Root CAs if we do not actually use them.

commit 4c06a2be4bdc11c442e0f0b0e6e9bb933ede8017
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 12:50:58 2015 +0200

    https: HTTP 1 connection handling unit test

commit 3ac615a7012d932b3785318c9a9d23362cb939cb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 12:50:43 2015 +0200

    https: fix HTTP 1.x error handling

commit 8349fac7c1c0b7049e37c5ed808c505fb05e5474
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 12:30:50 2015 +0200

    tls: fix SIGPIPE with vlc_tls_DummyCreate()

commit c1df2e66d8030ec180769d0fab75668fe8566432
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 11:38:30 2015 +0200

    https: factor common connection management code

commit 3dbc71f3552230fc6fb9346e8f556401ca160984
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 19 10:58:19 2015 +0100

    securetransport: Fix compilation

commit 28fb341732e4bdf1b8bb3359f9cd5651a1be9d20
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 23:06:23 2015 +0200

    https: use vlc_tls_Close()

commit 8fa6f55c1afe83f3c0cbd2d2b4c46aedef153a10
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 23:03:45 2015 +0200

    tls: add vlc_tls_Close() helper
    
    In most cases... actually in all cases that I know of, the TCP
    connection underneath the TLS session is closed at the same time.

commit 0ac1b96be0d643ed6a0e11db70d58e20eee2fab2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 23:03:28 2015 +0200

    tls: document vlc_tls_SessionDelete()

commit 55d00831f2d150f6c724a4ba5be55ae6ccac603d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 22:06:23 2015 +0200

    https: add chunked transfer encoding unit test

commit 547418a7cd1968a445afef9696572e7acc3d03c1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 21:34:14 2015 +0200

    https: improve file test coverage

commit a69bc2cb8ee0f042ea914c265f1514be5073e258
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 21:19:55 2015 +0200

    https: robustify HTTP/2 connection test

commit c7a2b2bde35b34bfa57edf551734cc890d973d14
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 21:19:33 2015 +0200

    https: minor revector

commit 0c73679a0dd9e42df5ef52bfe5e8b0b68a8be335
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 21:11:51 2015 +0200

    https: send CANCEL error if closing before end-of-stream

commit 9a1082338a8d6e5af20e7087bc5a8a8613271a50
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 19:05:07 2015 +0200

    https: move TLS receive function and remove non-TLS one

commit dcd5ac975755779f5d3ebca9d101f3a56eb00ad5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 19:07:45 2015 +0200

    https: do not get stuck in corner case of chunked transfer

commit b616c49e561267c1f8bad735b2e3177fb39e723e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 19:05:07 2015 +0200

    https: move TLS send function and remove dead non-TLS send function

commit 9889e17c0fd139e0792cca1cb7d55424b6048ad3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 19:02:54 2015 +0200

    https: revector HTTP/2 connection test

commit b00564d0b6661cb3b2b130dc3dc1e6129d782ac8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 18:44:41 2015 +0200

    https: revector output test

commit 30d18b6a0558c2648e40cc1c4d3c91653d1c7c49
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 18:34:39 2015 +0200

    tls: add vlc_tls_DummyCreate()

commit 754c3ef09a4e9570c9e372c55fce40afadd75161
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 16 23:45:14 2015 +0200

    tls: vlc_tls_t needs not be a VLC object

commit f48b0f3fee9be0271cd71360c9b8b926bf470c4f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 16 23:35:26 2015 +0200

    tls: pass credentials pointer to handshake function

commit 7be25353853ddedec5222ef8b3bb5321c2e22a74
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 18 17:30:59 2015 +0100

    Contribs: update libdvdcss to 1.4.0

commit 9502539d8974fafc8356c5fcda9affddf9fe2a10
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 18 18:08:43 2015 +0200

    audioscrobbler: fix request syntax
    
    User-Agent and CRLF were invalid. Also use standard capitalization.

commit b3494ff094c497a59f792e785d0428e283acefaa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 18 15:49:36 2015 +0100

    h264_nal: add h264_get_picture_size
    
    Compute picture size including crop area

commit 90335413fbfa19b55a45a3a860810b695b892fa7
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 18 12:50:55 2015 +0100

    Chromecast: use the sout helper functions
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ed5ea7b2860cab17f45379235d4d2995e5cc4025
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 18 12:50:25 2015 +0100

    Chromecast: move some code to a header
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bfaa0ce99bc59318781c6e4f52bb5a00bff07838
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 18 14:47:06 2015 +0100

    videotoolbox: fix build / h264 conversion

commit 0da5762ae792336e1768bcda8e5fd01507aed020
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 17 23:04:53 2015 +0100

    packetizer: h264: update sps/pps parsing

commit 5f685c9fdce4c925949d7802b712bfe9bbe84433
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 18 13:35:39 2015 +0100

    VT: fix warning and improve error message

commit 13b6861d0d8bea34f6c98474439f7b9af01d73f7
Author: Alex Converse <alex.converse@gmail.com>
Date:   Thu Dec 17 15:22:55 2015 -0800

    demux: mp4: Add support for (unpaletted) raw RGB and GREY video
    
    This fixes playback of the gaming content from derf's video testset
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit c2cd03e21088aa21de9842c46c0b125c0b5ebfaa
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 18 10:33:00 2015 +0100

    fix code spacing in vlc_sout.h
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cccd1b6572406a6e9c4d2fa09b2029be071411ab
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Thu Dec 17 19:49:48 2015 -0500

    contrib: use POSIX options for find(1)
    
    -maxdepth is a GNU extension
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b8873ae72e6d9eafbf53f05f57b06c5aa7a3f62e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 18 10:02:11 2015 +0100

    fix odd space character
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 137273b4dccb2cb32d248271bad106aa28ca596b
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 18 10:02:10 2015 +0100

    fix code alignment in http output
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5567f3d59f53986b14c40c58ca1394b17b0d09e8
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 18 10:02:09 2015 +0100

    fix typos
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8e123be70e3343f12a5686adfc724e5e63f78c95
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Thu Dec 17 11:08:58 2015 +0200

    mpeg-ts: fix PCRCheckDTS() with broken PCR
    
    Fixes #16148
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c84a1a1abaf74a2ba58d7a4a5b2ba15973f9fe41
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Thu Dec 17 08:38:20 2015 +0900

    src: os2: move gai_strerror() to compat
    
    This fixes the following linkage error.
    
    -----
      CCLD     libhttps_plugin.la
    weakld: error: Unresolved symbol (UNDEF) '_gai_strerror'.
    weakld: info: The symbol is referenced by:
        P:\tmp\ldconv_libvlc_http_la-transport_o_64fd5671f455159d80.obj
    Ignoring unresolved externals reported from weak prelinker.
    Error! E2028: _gai_strerror is an undefined reference
    file P:/tmp\ldconv_libvlc_http_la-transport_o_64fd5671f455159d80.obj(ldconv_libvlc_http_la-transport_o_64fd5671f455159d80.obj): undefined symbol _gai_strerror
    make.exe[4]: *** [libhttps_plugin.la] Error 1
    -----
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 934231ee820115e62e57a8491f38a7e6a6725055
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 17 22:13:59 2015 +0200

    http: simplify reconnect

commit 6558f6e8d45a8c04477ec2cd38a267375a7c54c4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 17 22:13:21 2015 +0200

    https: validate that content range is what we want

commit 5e2f165dc6f496206535c96fc2fa630a7111fecc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 17 21:45:47 2015 +0200

    http: remove bogus persistent connection support
    
    This became dead code with b0247e59d5b2b3556f44295f6276a00d222f9277 and
    ostensibly did not work properly before that.

commit e188f8af42050dc8ec15415aac7dfdc7f10efd5e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 17 18:08:10 2015 +0100

    Revert "hxxx_nal: add nal to rbsp conversion helpers"
    
    Probably will never be used as ep3b->rbsp conversion
    is made useless now.
    
    This reverts commit 4bdb1e9931fa99262bf1f28933005416a28d74e4.

commit 74f4224105ce9925b606a06867c7fa1ab4a4c703
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 17 18:06:47 2015 +0100

    packetizer: h264: remove temp ep3b to rbsp conversions

commit e19f62b81147818aac3bd5021e01a27e1d1530ae
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 17 18:06:09 2015 +0100

    mux: mp4: remove temp ep3b->rbsp conversions

commit a0e20c607d937c550fa3a73715277af940e22e51
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 17 17:27:43 2015 +0100

    packetizer: hevc: convert all parsers to handle ep3b input

commit ada921a44b966eb9c12f816201b33573ae09bd04
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 17 17:24:44 2015 +0100

    hxxx_nal: add bs_t emu prev 3 bytes stripper
    
    Will allow to drop all ep3b/malloc around

commit f42374732c71bd038ba86bb5089d132ea3ae93bb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 15 17:14:54 2015 +0100

    vlc_bits: add pf_forward
    
    will allow to modify/convert upstream

commit f91c968b4ef36cd6f9c7111285bfe8d00821f3cf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 17 14:26:12 2015 +0100

    add bs_skip tests

commit 1ea45a848493d301902056104e559862445cd815
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 17 00:31:34 2015 +0200

    Revert "http: add --http2 to force HTTP/2"
    
    This reverts commit 99ce71250580070a4ed091e49cde3d2c7138ad58.

commit aa780d5820a4ef40b2c243bc3ab5781638c6e8a6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 17 00:27:09 2015 +0200

    https: automatically enable if missing features are not used
    
    As of now, the new module works if:
     - proxy is not used,
     - cookies are disabled,
     - HTTP "continuous" streaming mode is not enabled,
     - authentication is not required.
    
    In practice, it remains disabled by default because HTTP cookies are
    enabled. --no-http-forward-cookies is needed.

commit cc7a2d2c03dcc6b5ea0a7dd1d5e73a42d2be1466
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 23:42:39 2015 +0200

    HTTP/1 connection handler

commit 6ce7b4500c038a53a5f570a3cbacb6b3ffd4cad4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 14 23:11:53 2015 +0200

    HTTP chunked transfer encoding "decoder"

commit e47095014052d6b5df00a51f08d755286b8edb84
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 15 22:36:00 2015 +0200

    https: add abort parameter to vlc_http_stream_close()
    
    This is used to distinguish abortive stream termination from normal
    clean termination. This is mostly useful for HTTP/1.

commit 51bd1874f7bf45848940597c3a7c89e123d0e4d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 16 22:30:18 2015 +0200

    https: use revectored time functions

commit c6dac3c621e67161155dc0cdb6f0e50a62a9bbd5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 16 22:21:25 2015 +0200

    https: revector time handling
    
    Also robustify time test.

commit 8c490ccff63938cf2965bd9b55085422d3feaa83
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 16 18:23:26 2015 +0200

    https: move some documentation to header file

commit bb931e14160280686510577678fff760ec8730c1
Author: Zhao Zhili <wantlamy@gmail.com>
Date:   Sun Dec 13 12:15:53 2015 +0800

    vlc_input: check malloc return
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 4b7e668f970cb05467313ff4600c994bbf8766b4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 16 19:48:00 2015 +0200

    http: remove no-op

commit 3daad56c16807bb24eac49feea69fe0b160a45c8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 16 19:41:25 2015 +0200

    http: fix handling of EINTR and EAGAIN
    
    Those errors are not fatal and also do not imply end-of-stream.

commit dc1b41f114fd5a1ab853767589c20f5c7a264e4a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 16 19:03:32 2015 +0200

    tls: make session independent of credentials

commit 4b2909cad5c5d36ec3b4f6f24992467faa1365b3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 16 18:55:47 2015 +0200

    tls: move close callback from credentials to session

commit d3c0569cd25cb6eba33344a0a8fb6780e7753068
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 16 18:43:36 2015 +0200

    tls: remove virtual_socket_t and clean send/recv prototypes up

commit c2a21b270617c229d29645fdfb43990b762f08c1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 16 17:45:57 2015 +0100

    packetizer: hxxx_nal: startcode simplication

commit 662af4fbb8b61a6a6f4fa46230cd4037375046db
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 16 16:46:51 2015 +0100

    videotoolbox: avcC to avcC path simplify

commit b906a098bac29b528c1ed3ed96cca07c87fff123
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 16 15:34:26 2015 +0100

    demux: hevc: on exit es delete

commit 9cf9ebaffd19a535d032ff0ad81d0f385b4520b2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 16 15:13:31 2015 +0100

    packetizer: h26x: packetized output is

commit 3569c9c1159a697fe1a9612cd3c3cdb034b86492
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 16 12:23:06 2015 +0100

    demux: hevc: hevc_nal helpers use
    
    which should also try to get fps from both vps/pps
    
    Also fixes the fps div drift.

commit 7bf42da16ba0172816ecb661a9ad3f22e4a6667d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 15 22:53:54 2015 +0100

    hevc_nal: return only valid framerate

commit 6b3e207936cb0333900cb9002e7db1eaae8f09a3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 15 22:08:49 2015 +0100

    demux: avformat: blacklist raw hevc
    
    no pkt dts/pts, so no pcr.
    Just demuxes at max cpu/speed.

commit aecc7e86a07ed2fbc11f2aceff160d7bc4098465
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 15 20:11:05 2015 +0100

    hevc_nal: add hevc_get_slice_type

commit d9decc256654e29f5018c372683d71bfb39876de
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 15 20:10:35 2015 +0100

    hevc_nal: fix reading slice_header
    
    seems i slipped on this one

commit 5f88e3bdaa275c851bd2ab0d7719a66f40d13b35
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 14 23:12:26 2015 +0100

    hevc_nal: add hevc_get_frame_rate

commit 4850b4c9b4639dafd75da2a04a07683f831b2bd8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 15 16:40:16 2015 +0100

    hevc_nal: parse vui from sps

commit 487d3a1c7f7c81f7d08c87d29709f826b86f28f4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 15 16:31:26 2015 +0100

    hevc_nal: parse vui_parameters

commit db5891d3fe9773dbb746877de71114e1fbaa5f7f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 15 16:30:47 2015 +0100

    hevc_nal: parse sps short_term_ref_pics

commit 6ded2029175e18924384e4c0e9ab28224dc6ff2d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 14 23:04:42 2015 +0100

    hevc_nal: parse video_parameter_set

commit 4a7db3bcea78ce088c26ac7f5b15f52bc05d78f7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 14 18:53:20 2015 +0100

    hevc_nal: add hevc_get_picture_size

commit 48ceb00c1510c46e71177d2a26cec883cc7fb928
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 14 14:58:57 2015 +0100

    hevc_nal: parse slice_segment_header

commit 23ffa36771d83b44465e898b35378de39f0e2151
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 14 11:25:14 2015 +0100

    hevc_nal: retrieve vps/sps/pps id without decoding

commit 2db2212b615f595fb9cd082a7f05804935479161
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 12 16:39:47 2015 +0100

    hevc_nal: add picture_parameter_set parser

commit f07f3037d1ca194600b01104ab306ab0993913a0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 11 18:20:25 2015 +0100

    hevc_nal: add sequence_parameter_set parser

commit d72428878ccd5d47b7ce9c05efb2a8f084930681
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 11 14:50:54 2015 +0100

    hevc_nal: add profile_tier_level parser

commit 66f3469f18ff81052a82095c01d9f479ebc4862b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 14 17:15:43 2015 +0100

    vlc_bits: add bs_remain()

commit 4bdb1e9931fa99262bf1f28933005416a28d74e4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 14 11:26:15 2015 +0100

    hxxx_nal: add nal to rbsp conversion helpers

commit 3bb208b2e37bfc1c441077fac056554458e58a3f
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Sun Dec 13 16:16:10 2015 +0100

    avcodec: fix memory leak of rec->pict.data[1]
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b0c7b9c8a781cd248bf9b69aefca38419856b3f2
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Sun Dec 13 16:16:09 2015 +0100

    faad: fix memory leak
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6cf7153b9b682c3629bfc423b7e8e5cbb918e043
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Dec 15 10:26:20 2015 +0200

    bluray: fix macros
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1052ee78e3479a5b538aaee8c721f44788293606
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 15 00:19:34 2015 +0100

    Qt: fix bluray menu checkbox

commit 6306e74603fb0d407db6edf0280a501ec3482bdd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 14 23:44:12 2015 +0200

    https: fix test build with past POSIX versions

commit ff9ec7d2bad783e4a556943cadeaef2b7d056028
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 14 23:34:48 2015 +0200

    https: fix memory leak

commit ee50c9875487c041480c01368f29536706dab62c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 14 23:33:01 2015 +0200

    https: test refused stream in frame parser

commit cc0dc931b2524a26e6f05be046d3b65731343fa6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 14 23:06:38 2015 +0200

    https: fix format string

commit 4fb4df7b5e43c4bc700dd84b98c40824da3c368f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 14 22:09:36 2015 +0200

    message: size is unknown if Transfer-Encoding is present
    
    This is not really an issue with HTTP/2 as framing specifies the end of
    the stream explicitly. This would become a problem with HTTP/1, notably
    with chunked encoding.

commit 5986533565668607231587892204e7f01f11c32d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 14 22:09:02 2015 +0200

    https: validate header field name

commit 6faf9066670db6e0d241ead6a3926b2d9cc6a041
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 14 10:08:25 2015 +0100

    compat: fix static_assert
    
    It was not possible to use it outside of functions.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 4e668bca31b2e5485dd759b812c161129f38387e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 14 20:00:16 2015 +0200

    https: fix connection failure handling

commit 0e9bd5e0a290689e380944e30ffbeb56d7d5dde3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 23:50:41 2015 +0200

    https: add HTTP 304 as empty response code

commit c7de93e0f02f80f8cf13b4af4bee0a56f2ec6fcf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 14 19:49:35 2015 +0200

    https: ensure that SETTINGS frame is sent first

commit f1e8223bae3877c5b98ccd1299a08e64140ee74c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 14 13:21:43 2015 +0100

    HTTP: fix license headers

commit 42fac64636e7ee4bf1c844459cb2c75c96074877
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 13 17:51:05 2015 +0100

    hevc_nal: update NAL descriptions

commit 47e3533d80ef836b028c3b00e14cb111c13f3118
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 12 23:45:31 2015 +0100

    packetizer: hevc: remove useless boolean
    
    Gathered data means b_vcl

commit ed7287c042fbdc3a758e6113937fa6f7af5c7df8
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sat Dec 12 12:09:13 2015 +0900

    compat: remove 'const' from the prototype of timegm().
    
    The prototype of timegm() does not have 'const'.
    
    This fixes compilation on OS/2 which have only a declaration of
    timegm().
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 043a2deb40260f51049a5c87e824a5a6d83226bc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 20:17:47 2015 +0200

    https: fix formatting of current time

commit 610275704827a4b42e20619ba781cf272108db38
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 20:11:34 2015 +0200

    https: cosmetic fixes

commit a21b4ed145714f34e7c3df52cf4ab4dd9a122772
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 19:55:43 2015 +0200

    https: fix uintmax/uint64 mix-up

commit 99ce71250580070a4ed091e49cde3d2c7138ad58
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 19:07:13 2015 +0200

    http: add --http2 to force HTTP/2
    
    This is currently and transitionally used to test HTTP/2 over TLS.
    Eventually, this should be done automatically.
    
    Going forward, this will either be removed or used without TLS.

commit e8955e0d893499afc6987680f8c91de69a7a756a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 19:03:19 2015 +0200

    http: fix parsing of HTTP CONNECT response
    
    The major version must be one, and the error code must be successfully
    extracted.

commit df3ede4774fc1936de79e72db51abd53c84941c6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 18:58:33 2015 +0200

    http: use boolean for version
    
    The version can only ever be 1 (meaning 1.1, the default) or 0
    (meaning 1.0, the fallback).
    
    This plugin does not support version 2.0 or obsolete version 0.9.

commit 79dbd164c794a937094d864c5d4ee8c2eb695566
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 18:56:40 2015 +0200

    http: simplify CONNECT format string
    
    i_version is always (1.)1 here.

commit 53a31886a320bbd00e7cb4ebdfabe8f01987130d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 18:25:21 2015 +0200

    https: update NEWS

commit 5ac0174ad4d6c326c14fa19eca0f3ec0bec1dfd8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 18:23:53 2015 +0200

    po: update POTFILES

commit 2ef4a9ad09e24cf4211bcb83cbabdd5fede6f7ae
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 16:17:14 2015 +0200

    objects: small simplification
    
    No functional changes

commit aa78e9d3e1e9c2ade56064d84eb62ab6d11deeba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 7 22:03:59 2015 +0200

    HTTP/2 over TLS access
    
    This adds a new plugin for HTTPS supporting HTTP version 2.0
    (IETF RFC 7540), and based on the latest version of HTTP protocol
    semantics (IETF RFC7230-9 series).
    
    It provides support for seeking in a single round trip time by
    reusing the same TCP connection and TLS session. It could be further
    extended to reusing connections over multiple access instances,
    e.g. to support segmented streaming.
    
    It also addresses a number of protocol bugs in the existing HTTP
    stack, such as handling of HTTP 100, 201 and 416 codes. It also adds
    automatic safe reconnection.
    
    Currently, the old HTTP access is favored due to a few missing
    features:
    - HTTP 1.1 fallback - work in progress,
    - proxies (i.e. HTTP CONNECT) - work in progress,
    - authentication,
    - cookies.

commit c14323135d68539b7fd507022e8cf865378300b5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 5 17:15:40 2015 +0200

    HTTP connection manager preliminary implementation
    
    This would keep track of HTTP(S) connections to enable reuse (HTTP 1)
    or multiplexing (HTTP 2). Initially, the connection manager will be
    scoped to the access module, so it only handles a single authority
    and a single pending request.

commit 68bbddd369b47dbe52d56a6af39a9dc7214f4ecd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 11:20:33 2015 +0200

    include: add VLC_THREAD_CANCELED constant macro
    
    This is the return value of a thread that has terminated due to
    cancelation.

commit 801448ccf5511f48f53d9d1c73b5c368cb63073f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 18:47:41 2015 +0200

    HTTP/2 connection handler test

commit dd0755181c52814c8b993fdfd3cecb53f227c782
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 21 22:13:41 2015 +0200

    HTTP/2 connection handler
    
    This demultiplexes incoming HTTP/2 frames and dispatches them to
    HTTP/2 streams.

commit 9ee0adc8e44916eb69eedb3620e9d836db643144
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 16:35:31 2015 +0200

    interrupt: add support for custom callbacks
    
    It seems impossible to handle interruptions while waiting on a
    condition variable otherwise.
    
    In particular, a single vlc_cond_wait_i11e() function would be
    intrinsically prone to deadlocks:
     - It would need to acquire the interrupt context lock while the caller
       already holds the mutex corresponding to the condition variable, but
     - the interrupt callback would need to acquire the mutex while holding
       the interrupt context lock.
    This would be a classic lock inversion race.
    
    This addition should also enable hooking with other libraries, such as
    Glib´s GCancellable.
    
    Be very careful when using these two new functions. VLC does not
    support stacking interrupt handlers (at least not currently). So there
    MUST NOT be any call to another interruptible function between
    vlc_interrupt_register() and vlc_interrupt_unregister().

commit 053c00fdd6fdfb2ad09793c7fe4e46a7db1e8305
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 9 23:23:25 2015 +0200

    HTTP file reader tests

commit 914343cd44eeba5d62d33594c706cf9ac89af2ff
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 4 23:42:35 2015 +0200

    HTTP file reading helpers
    
    This implements reading and seeking files and streams.

commit 38440a0e4ef159367f3f763f3ea602eddef7d22a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 3 21:05:34 2015 +0200

    HTTP messages test cases

commit 1f97e2fbc0de532e53e211dade2026466288c571
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 21:50:06 2015 +0200

    HTTP date formatting and parsing

commit 5bd501edf0fd14e5efb63b47a6c1b482a9c60fdd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 25 22:33:04 2015 +0200

    HTTP message layer
    
    This provides an abstraction around HTTP requests and responses,
    independent of the HTTP version used.

commit 56c2ee0c098a2ab866ef9e16170b2b0dace04813
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 7 22:25:22 2015 +0200

    HTTP/2 output queue test

commit b0da76edab4f945a2350b4958e3a9a9448cd045c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 22:31:21 2015 +0200

    HTTP/2 output/send thread
    
    This is a background task to send outgoing HTTP/2 frames. This avoids
    blocking other threads if the underlying TCP connection is congested.

commit 20e49306f5aae8ef1f6a36cd1d03a910572ee09d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 9 21:48:56 2015 +0200

    HTTP/2 HEADERS frame formatting optimistic zero-copy
    
    This avoids memory copying in the most common case that HTTP/2 headers
    fit in a single HTT/2 frame.

commit 9bdf36023a7c2e211ca911767b9d49b5f6d23ac0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 22 16:06:09 2015 +0200

    HTTP/2 frame formatting and parsing test cases

commit 052df94a0f8d8db690484f78b3725587f2d5e2af
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 19 23:44:10 2015 +0200

    HTTP/2 frame parser

commit a64f235daefbb66f488d21f50643ca959d12bff6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 21 19:09:46 2015 +0200

    HTTP/2 debug helpers

commit f94573fbb8fca0faa76a917df6182802d1623295
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 16 21:52:35 2015 +0200

    HTTP/2 frame formatting

commit aa4b63ee9ca672b5d945ea8a5a9b2b734f436f2e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 8 21:56:36 2015 +0200

    HTTP low-level transport I/O helpers

commit 7b645ddc0c51f3a36e457195f6a991a1635809a4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Mar 6 23:21:32 2015 +0200

    HPACK Header Compression HTTP/2 minimalistic encoder

commit 870d437c17e71f7f3e9fcaf588ecd19916b721ed
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Mar 4 20:01:40 2015 +0200

    HPACK Header Compression HTTP/2 decompression support

commit ee625c6309417edb5fced99bc1311c4124269ce0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 9 21:25:56 2015 +0200

    messages: fix filename extraction

commit 608d433e57c1f90e7d765549dceaf3830facef6d
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 13 00:32:37 2015 +0100

    macosx: fix problem saving native fullscreen preference

commit d27c7bfe069616168844b0a09f647f6c398e6f6b
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 13 00:31:39 2015 +0100

    macosx: grey out fullscreen device selector of native fs is enabled
    
    Selecting the fullscreen monitor is not supported with native
    fullscreen.

commit 3a49a650eca4548ed10b14732818444005458d7a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 12 20:05:48 2015 +0100

    packetizer: h264: simplify AVC SPS/PPS setup
    
    Since we have helpers to convert to AnnexB, we just
    need to feed the NAL stream to packetizer instead
    of parsing, converting and feeding it one by one.

commit b7ae513635e02c5c50f51c6c9b0c1e4e0d976351
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 12 19:41:03 2015 +0100

    packetizer: hevc/h264: set result size to 0 on alloc failure

commit 3629fd9e0fed7375be7a932656ed21e6afea4481
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 12 17:54:18 2015 +0100

    packetizer: hevc: fix leak

commit b6d53048ed045afefa7cda06bd04f67afe6362b7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 11 18:32:47 2015 +0100

    packetize: move annexb stripping to common helpers

commit 933a5159e482f0c8661b7148bebf85460310c8d0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 11 17:40:37 2015 +0100

    mediacodec: use vlc_cancel to interrupt the output thread

commit 0ef4745331786818c70a0b46c9a2b223859be85a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 11 17:22:42 2015 +0100

    mediacodec: split CloseDecoder into CleanDecoder
    
    CloseDecoder join the thread and clean up the decoder via CleanDecoder.

commit 6de2e994ee4a46e3b2d03e0740a4a140ff7c2521
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 11 16:51:34 2015 +0100

    mediacodec: more comments, rename b_mc_running

commit 729849fa926ee7a685ab458896a95a7a9f9fbadd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 11 17:10:13 2015 +0100

    mediacodec: remove duplicated init

commit 5768e84a99b4a1e3c32baf541cd237155a3be1b7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 2 18:48:50 2015 +0100

    mediacodec: add an output thread, remove polling
    
    This commit improve MediaCodec performances and remove polling every 10 msecs
    when DecodeCommon is waiting for an input or an output buffer.
    
    One new thread is used for output: once an input buffer is queued, this thread
    will wait indefinitely for a MediaCodec output buffer (this can be cancelled by
    a flush).  This buffer will be queued to the video or audio output via
    decoder_QueueVideo or decoder_QueueAudio.
    
    This thread, and pf_decode call are locked by the same mutex. Only
    mc->dequeue_in/mc->dequeue_out are not locked since these functions can block.
    
    Fixes #15079

commit dcc738d572096bd817718af7193b73c7b82e2914
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Dec 11 15:00:28 2015 +0200

    bluray: register mouse callbacks only once
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a559bee7ecb5efa6e5f620b27bd819cdf027e50e
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Dec 11 14:58:45 2015 +0200

    mpeg-ts: send queued data when PES size is unknown and PCR >= DTS
    
    Fixes late frames in sparse video streams (BluRay menus)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7f4fe8ff906e6bf8390dfa6a8cc6ed1e03b374a8
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Dec 11 14:54:23 2015 +0200

    mpeg-ts: fix comparing unsigned and signed integers
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bd795dd24362b118f6042ad0e3a7606978a1335d
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Dec 11 14:53:59 2015 +0200

    mpeg-ts: check stream_Seek() result
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 53a832b216d30f87feadc674edbd140a6358d8ba
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Dec 11 14:59:54 2015 +0200

    bluray: simplify vout change detection
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0b0688d5c14d0a1a9213a1a1dcc239bbc7ad52dc
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Dec 11 14:58:02 2015 +0200

    bluray: listen for for vout changes
    
    Fixes missing overlay when Demux() is not called enough often.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 935fdb6cc1ffcce79a34ea3cd3f4fbc65a329269
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Dec 11 14:55:20 2015 +0200

    bluray: add couple of missing libbluray events
    
    Avoids logging these as unhandled events.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0ff9caf665f5711030d02bb5e42ebe8de56db9ee
Author: Andrea Giudiceandrea <andreaerdna@libero.it>
Date:   Tue Dec 8 19:18:13 2015 +0000

    Fix WebVTT subtitles mm:ss.ddd timestamps
    
    Fix #16075
    
    Signed-off-by: Andrea Giudiceandrea <andreaerdna@libero.it>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a3e3a2d1697253d24788dfa398b5404149fc5a6a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 11 09:52:36 2015 +0100

    RTSP: use calloc

commit 64d1913f86cc4a81de56a3d538e32073aeb0fcd6
Author: Zhao Zhili <wantlamy@gmail.com>
Date:   Fri Dec 11 12:11:50 2015 +0800

    sout/rtsp: remove senseless free
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit adc9dcf8f8cfd7f9a2937c79841303b49218e0ca
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 22:18:45 2015 +0200

    ts: use timegm()

commit adba759f049456aae60685a07a865287d8b33da7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 22:17:54 2015 +0200

    adaptive: use timegm()

commit 903664b8e50d2eb88ecad326c51d2f77ec8ab952
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 22:06:38 2015 +0200

    compat: replace timegm()

commit 1e30d40c475ed07f6ab86b9bb1ecb3d26bbac851
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 20:31:06 2015 +0200

    decoder: reset preroll on flush
    
    We don´t want to discard decoded data if seeking during prefoll then
    the timestamps restart from lower values.

commit 367536dbeac34b087987a785226c202de74b4bbc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 20:30:47 2015 +0200

    decoder: simplify preroll

commit 1c83bb318ecd6520d4670f7493cba1051c3bfda1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 10 10:42:05 2015 +0100

    decoder: flush when prerolling too
    
    This fixes a possible deadlock when seeking paused at the end of the video.
    Indeed, in that case, prerolling won't end and the decoder won't be flushed if
    we seek at the end again.
    
    Conflicts:
        src/input/decoder.c
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 549449fc76bcd9116cfaa0ce5a0a6252d05747b1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 4 14:35:16 2015 +0100

    decoder: add decoder_QueueSub
    
    This function allow asynchronous decoders to queue a subtitle to the video
    output. Decoders that use this function should return NULL in pf_decode_sub
    callback.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit fdddb84a194e5134b1d1a1e48f24578985860f02
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 4 14:35:15 2015 +0100

    decoder: add decoder_QueueAudio
    
    This function allow asynchronous decoders to queue an audio block to the audio
    output. Decoders that use this function should return NULL in pf_decode_audio
    callback.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 0f01756e4147a405ccf7c8f6c3c8120b4cfa946b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 4 14:35:14 2015 +0100

    decoder: add decoder_QueueVideo
    
    This function allow asynchronous decoders to queue a picture to the video
    output. Decoders that use this function should return NULL in pf_decode_video
    callback.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit d0a163c5bf836e44b5e6196401e87891b351ff2d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 4 14:35:13 2015 +0100

    decoder: lock i_preroll_end
    
    This variable will be acceded by other threads via future decoder queue
    functions
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 77874cb23ea842c4a01e36fc2f4cbda07b3c814a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 19:55:18 2015 +0200

    compat: missing #include

commit 8f629e451edd58e1ca087f33c7d73a8e8a3221d1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 10 18:05:25 2015 +0100

    qt4: selector: Fix leak on unhandled command

commit 4f412dbcf989bb814a398bcf8c28a5f2527022cd
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 10 17:49:00 2015 +0100

    Fix my name & email

commit 60009ebc2954a09617a92f79671d18b7f9d91258
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 10 17:46:49 2015 +0100

    qt4: addons tab: Fix leaks

commit 73908fcf3379369e8f21a114bf839215b35e354a
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 10 17:44:10 2015 +0100

    PluginsDialog: Fix leak

commit ae24f549e78654ac9501d5275139e5ebe5d28eb1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 10 17:43:21 2015 +0100

    qt4: singleton: Use vlc_mutex_locker instead of manual lock/unlock

commit 40388189b989554a881fc225a20f8644ca377658
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 10 17:25:25 2015 +0100

    packetizer: h264_nal: fix get_avcC_to_AnnexB_NAL_size
    
    Only the SPS was detected.

commit b656be8c1f437ec0374f9df4067b272a477eb318
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 10 16:49:31 2015 +0100

    timespec: simpler fix

commit 3c23c3df8b131159b2fa477dc198aa7378d0d795
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 10 16:41:15 2015 +0100

    mediacodec: fix build

commit 3f5129b51e79162068a39200f13f3f0ba773364d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 10 16:39:12 2015 +0100

    Fix struct timespec declaration

commit 45ecb6947875bef52ed5f7b40b884372da26d150
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 10 15:01:47 2015 +0100

    qt4: Fix initial input probing
    
    inputChangedHandler only reads from the current MIM input, which isn't
    set until the next playlist callback is received.
    This actively probes the current input, sets it, and inform potential
    listeners
    refs #14162

commit a375caeb32d97670aeb5b462d8d95ba28692b732
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 10 13:08:44 2015 +0100

    qt4: Make Singleton thread safe
    
    This is unoptimal but could be improved using C++11 (or memory barriers
    for double check locking)
    fixes #14885

commit 33b2308fa8b17e2430d9bf558dd827bfd945d2ca
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 10 12:09:52 2015 +0100

    mux: mp4: use hev1 as sample entry for HEVC
    
    hvc1 is reserved for streams with VCL only

commit 0b3d62f0ce0f564e85f9c8e67fe1a31116429bf2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 10 12:10:03 2015 +0100

    videotoolbox: improve error case handling

commit 8d2778cff3bfa007f45d7690766d1919cbf330d4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 10 12:11:22 2015 +0100

    videotoolbox: compilation fix

commit 1c5c4a11678fdc9cbf57fef9eb6e5db5472f7c32
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 9 23:16:10 2015 +0100

    codec: avcodec: missing directx_va include

commit 0f75899264beb929dc24abc43f3526a7c13d3952
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 9 23:14:43 2015 +0100

    compat: Fix warning

commit f14a21390788c77ab52e4cdac7e2d9ea927de0a6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 9 22:40:39 2015 +0100

    packetizer: hevc: simplify/remove bitstream
    
    bitstream reader will always return 0 if no bytes

commit ed6d58ce46664b960a26edf5e6ab34348ffec025
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 9 22:18:01 2015 +0100

    packetizer: hevc/h264: remove includes for decoder_t

commit 12ee303dcada22ca5e44d6eccd4e8fd2d04888ce
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 9 20:38:37 2015 +0100

    compat: test: Fix strnstr tests

commit 71001a361d398da3389b9fcddbf51345de0a6002
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 9 18:05:50 2015 +0100

    test: Provide tests for our strnstr implementation

commit bfb09d956f2fe23ef6447ddb6bf5926574dc7b46
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 9 19:15:27 2015 +0200

    snapshot: use timespec_get() (fixes #14008)

commit 064fffbc5380242c4b8de7dce02e8e82c643d628
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 9 19:12:54 2015 +0200

    mtime: use timespec_get() in NTPtime64()

commit a392c1012d46600d95bdf631d2dd1cae6fb85a16
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 9 19:02:04 2015 +0200

    vlm: use timespec_get()

commit 383a9210b05b47315dccc8a5f4592a80f436cd7a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 9 18:43:22 2015 +0200

    compat: add timespec_get() replacement

commit d630ad52b57a67bf7f5f2578f8a4983682d8c3c2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 9 18:30:06 2015 +0200

    vhs: use monotonic rather than wall clock

commit 2f54714a61853277b7367da42c2fb3e9924e7a30
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 9 18:27:39 2015 +0200

    oldmovie: use monotonic rather than wall clock

commit 641de51d46ad96f13cfaf6c68177a388b28a5f2e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 9 19:00:25 2015 +0200

    configure: revamp real-time run-time library checks
    
    Avoid linking with -lrt if not needed (e.g. recent GNU/libc),
    simplify, and enable linking other library than libvlccore.

commit 56fd4ad559169c2a44ce9d5cbd7961b62e24762e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 9 18:04:38 2015 +0100

    compat: Fix strnstr implementation

commit 4b827058f583917bca40153c51c47a22862bf5ec
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 9 17:02:22 2015 +0100

    packetizer: hevc: use 2pass exact size buffer from hvcC->annexB

commit e3b5e53672a3fb3a4fc0540af0bb384b707d5e32
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 9 15:25:34 2015 +0100

    hevc_nal: replace with define unordered enum

commit 2bca94817a24c1ba43ff233182ca43dcc3797f9e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 9 15:16:54 2015 +0100

    packetizer: h264_nal: fix off by one

commit d036968169bfc862ef5ea0e272b98257a03c8b60
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 9 14:59:50 2015 +0100

    hevc_nal: add profiles definitions

commit be54040b94b34f9a64e442ec13d29d002041734d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 9 14:51:53 2015 +0100

    upnp: fix build

commit 3fd30bccbff13dfaea3f8e0272f4c5db2a5b2181
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 9 14:08:51 2015 +0100

    mux: mp4: use hevc sps/pps/vps limits
    
    When not implicit, limits are mentioned in *_id description.

commit 8f42dc5c08826514ae33a42e5da28ff098f4383c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 9 01:35:40 2015 +0100

    packetizer: h264: use 2pass exact size buffer from Avcc->annexB
    
    Useless then suspicious use in omxil.c might incur a regression.

commit 809c2948efbf70cd897e6b8da8ffed16e7fee1bb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 9 11:52:56 2015 +0100

    codec: mediacodec: missing hvcC check before conversion

commit bee38da89a496024e77900979c19a85717896bfa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 9 10:56:48 2015 +0100

    packetizer: add isavcC helper

commit d76bc0b91a275006f337ddcf3de8a0fef7060b89
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 8 10:34:35 2015 +0100

    upnp: make pf_readdir interruptible

commit 7dce9c048b59af679d97d18802f84c6259a1f70f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 8 22:42:01 2015 +0100

    packetizer: hevc: add hvc1 packetization (fix #16061)

commit 0b6090711893b7b27b1e004b3ef6c7b3c0b6857a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 8 22:37:59 2015 +0100

    packetizer: h264: split some code

commit 51f645956e2edfd3b42252191ca81a23e66c4c92
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 8 18:48:54 2015 +0100

    hevc_nal: add is_hvcC helper
    
    Tries strongest match against decoder record

commit e3ad84701115c825afb99b21b43168bdf30c59d8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 8 20:55:56 2015 +0100

    videotoolbox: compilation fix

commit ea1db09becdfe6b05233f312592c33d63c025f96
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 8 18:27:21 2015 +0100

    lua: Destroy the callback before destroying the variable

commit 0bcca797f7243a85327c367db246910c5e14a69e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 8 18:47:44 2015 +0200

    posix: do not unload plugins with GCC ASan
    
    Like valgrind, the address sanitizer generates unusable leak reports if
    plugins are unloaded.

commit c73afd03bf97369e2cd12f7c1409e51cfb5e3074
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 7 22:04:20 2015 +0200

    Move pkglib_LTLIBRARIES out of vdpau Makefile

commit 0cb9ddcdc503ba718f192349ed672eb742f99d51
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 7 18:50:34 2015 +0200

    Makefile: restore lcov helper rules
    
    Run 'make lcov' to produce the coverage report in the lcov/.
    This requires lcov installed and the --enable-coverage configure flag.

commit 25495868be580cc916317fad86d19277ed69c0f0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 8 17:10:13 2015 +0100

    demux: mp4: don't start without hevc extradata

commit bf6b8dfaed115500b7a4b5edbd7b1a12ad185abe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 8 16:29:19 2015 +0100

    mux: mp4: fix conversion from hvcC metadata

commit c227f6f4c092b2ee0b00f663873cf3cce3c6176d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 8 16:11:57 2015 +0100

    mux: mp4: use defined profile value

commit 6f7e4d561677eae3b703d71c6f5109986020a276
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 8 16:09:55 2015 +0100

    mux: mp4: use nal defined values

commit a0f65bae1dd0ce03f2d63b4571f01505ac64ed59
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 8 15:01:42 2015 +0100

    packetizer: add hxxx_nal.h for avc/hevc rbsp conversions

commit 9b7480331eeeb53fe1e73a4d46e4ffec1d93524e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 8 11:50:51 2015 +0100

    packetizer: hevc_nal: rename for consistency

commit 2fc89606d172b57e9296a0b99316fc0cef1c2820
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 8 11:36:07 2015 +0100

    packetizer: hevc: move NAL unit values to header

commit 826338caa93751489aa12ccf840543b7dd2e76c0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 8 11:33:17 2015 +0100

    packetizer: h264: h264 prefix nal structs

commit a26999c1f42ea4173d4e3ea64bfc554b36becc30
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 8 15:26:38 2015 +0100

    qt4: input_manager: Only add root items to recent items list
    
    fixes #14399

commit 2cc390045729b8e4cb51e6a8094df609461e7451
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 8 14:05:22 2015 +0100

    extras/package: update npapi code location

commit 7ada6eae5567c7d716ca03f3d7ddab90ce50e763
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 3 15:20:09 2015 +0100

    decoder: also drain the decoder when draining the packetizer
    
    When p_block was NULL, DecoderThread was draining its packetizer or its
    decoder, but was not draining both (when a packetizer was used).

commit 6927b44a15887b4d2c6aecda9f288cdcaf76abf6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 8 11:04:20 2015 +0100

    Compressor: use float_ranges

commit fdd603268352a1adda07ece95ab82c65f43899d2
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 7 16:47:14 2015 +0100

    qt4: input_slider: Delay the loading slider animation start
    
    In order to avoid flickering on local content

commit 98a4529f15b10f9f52091a8a9fe2fccbcb8f5ca3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 8 10:55:10 2015 +0100

    qt4: Work around endlessly bouncing input slider

commit df7724ac39f0460a5cd03326c659cdfc6f1475a0
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Sat Dec 5 13:27:03 2015 +0100

    qt4: input_manager: Remove duplicated checks

commit 28639b28fc4c8e8b8cfd25f9237f4353a182bdf4
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 7 14:41:11 2015 +0100

    qt4: input_manager: Move callback inside MainInputManager
    
    This allows us to use internal fields

commit 5f4cb46d97beadbb4b4b4b144d0af0733c0a3729
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Sat Dec 5 13:08:15 2015 +0100

    qt4: epg: Fix inputChanged signal prototype

commit a9c9d3cfd6d95706d670f5aefcb4f14ecd1d2412
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Sat Dec 5 13:05:16 2015 +0100

    qt4: input_manager: Pass a boolean to indicate if there is an input loaded
    
    Do not pass an input_thread_t through the Qt message loop

commit f8b0c7d533d2a3f9e8dacf4de7e124c5c5e93043
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 8 10:57:12 2015 +0100

    Compressor: change the defaults
    
    0.2 of RMS/Peak, 4.0:1 of ratio and 5.0 of knee
    
    ref #16079

commit bd31be9aeee2a56333561f727fdb81c31d8582b8
Author: Denis Charmet <typx@dinauz.org>
Date:   Sat Dec 5 13:50:28 2015 +0100

    MKV: Call ES_OUT_RESET_PCR when ordered chapters force an automatic seek
    
    Fix #14453 by forcing flush before es_out_Del
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a627b3ec5b2c571a2f92a8dcba24208d1fc81d15
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 8 10:10:17 2015 +0100

    HLS: always use "C" locale to parse float
    
    Pointed-by: KO Myung-Hun <komh78@gmail.com>
    Acked-By: Francois Cartegnie <fcvlcdev@free.fr>

commit dd225aba266ce126f82d3979dc87b77d59cac564
Author: Diego Elio Pettenò <flameeyes@flameeyes.eu>
Date:   Sun Dec 6 11:04:07 2015 +0000

    build: disable non-PIC assembly when building for Android/x86
    
    This disables MMX/MMXEXT code for ffmpeg/postproc, and all assembly for
    mpg123 and libass, if building for Android on x86 (32-bit).
    
    It has performance implications but it avoids all TEXTRELs in the output,
    which makes it possible to use W^X hardening techniques. The code can
    probably be ported to be PIC-compatible in the future so that these can be
    re-enabled, but even Gentoo Linux has no better solutions for this at the
    moment.
    
    Signed-off-by: Diego Elio Pettenò <flameeyes@flameeyes.eu>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 475671ea0e382cdae9c13893012053d646c5c349
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Sun Dec 6 22:56:30 2015 -0500

    contrib/shout: disable openssl functionality
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ff403e89951b9a412f50a6376ed7af78c8051092
Author: Fahad Al-Saidi <fahad.alsaidi@gmail.com>
Date:   Mon Dec 7 15:33:36 2015 +0400

    Qt: fix RTL layout
    
    Fix #9170
    
    Qt doesn't set application layout direction by default, so we make it
    use locale text direction, e.g. RTL for Arabic.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a1b2ad276b6bfbd63c932699320f0e9798e86977
Author: Diego Elio Pettenò <flameeyes@flameeyes.eu>
Date:   Sun Dec 6 11:46:07 2015 +0000

    build: avoid adding assembler source code conditionally
    
    Instead, create an extra library and link that one in conditionally. This
    simplifies compiler language selection for the library.
    
    close #15395
    
    Signed-off-by: Diego Elio Pettenò <flameeyes@flameeyes.eu>
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c4cd717e90ce00f7c65aa6f07f0215768247f64f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 6 15:02:13 2015 +0100

    packetizer: h264: fix early fail condition
    
    sps id can obviously never be negative

commit 60051758ab09397368a3f0a78a403540f3683e48
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 5 15:21:31 2015 +0100

    stream_output: record: add missing HEVC and OPUS entries
    
    refs #16061

commit 263962a7b79e2800e503645a25d4cc649153440d
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 6 12:05:50 2015 +0100

    macosx: Add tooltip with current volume level to slider (close #8782)

commit cf4afcbaa343d564e5b41a7242cf71d309543afa
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 6 12:04:40 2015 +0100

    macosx: fix some warnings

commit 432f9c4278afdb8f7d2e21763f96c6a27c45d9de
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sun Dec 6 10:55:12 2015 +0100

    avcodec: put back avcodec_flush_buffers on pf_flush
    
    Fixes #15834

commit 66bab23eb7950a19279bad31dc642f8c87e90447
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 5 17:12:22 2015 +0100

    macosx: Allow to open https URLs, do not list VLC as a browser
    
    This allows to drop https URLs on the VLC icon as well, in addition
    to http URLs.
    
    Additionally, this removes VLC again from the list of web browsers
    the user can choose in system settings --> general.
    
    close #13672

commit e2f1f6c44c514cea28dd1c4c5e9cc608792099ee
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 5 16:39:55 2015 +0100

    Revert "macosx: update play and playback mode status on startup"
    
    This hack is not needed anymore.
    
    refs #14362
    This reverts commit 5598f816905d5262928650c38d6b9a501b232deb.

commit f312e26702a01c9b5476dee5c6a06f94decac8c8
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 5 16:38:38 2015 +0100

    macosx: improve logging for startup and shutdown

commit d405bfb6fdeac41112482bcce793ee4efa8d5d51
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 5 16:16:19 2015 +0100

    h264_nal: fix memory corruption in parse_sps

commit 657705900ee01a8ae959d9fbaa88861519947119
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 5 16:13:40 2015 +0100

    videotoolbox: remove write-only variable

commit 7e08a135c91a73a1f410cdbc1492465ae1b07114
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 5 15:12:44 2015 +0100

    macosx: overhaul simple preferences interface
    
    - cleanup interfaces section
    - Regroup settings, move some to video section
    - remove rarely used settings from the simple settings page
    - reorder outlets and setup code
    
    close #14504

commit 40669b1f39491ccf6033ad652290ebc2c4f33833
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sat Dec 5 13:46:50 2015 +0100

    ftp: fix pf_readdir infinite loop

commit 41de2a23910e5f9b5e437b50186245b89b32c56d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 1 11:38:23 2015 +0100

    decoder: interruptible mwait
    
    mwait (called from Audio and SPU DecoderThread) can now be interrupted when
    flushing or closing.
    
    This fixes a too long closing/flushing time when the next spu or audio block is
    too distant.

commit 2a8b955ae1fe123c263a438490ca4e2d4c79501b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sat Dec 5 13:08:20 2015 +0100

    block: add vlc_fifo_TimedWaitCond

commit 8c4fff2f85e7916f2e18abf00605e7302bfba5f6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 3 18:14:04 2015 +0100

    decoder: remove legacy flush call

commit c94f68febd2be06188fee9753a128886a5c0ffd5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 4 20:16:15 2015 +0100

    decoder: implement pf_flush for all decoders/packetizers
    
    For now, a lot of decoder/packetizer are also flushing on
    BLOCK_FLAG_DISCONTINUITY flag. Some others are also flushing on
    BLOCK_FLAG_CORRUPTED flag (omxil, videotoolbox, avcodec audio).
    
    This patch doesn't change the current behavior.
    But maybe we shouldn't flush anymore on DISCONTINUOUS/CORRUPTED.

commit c676780c621ac28a5d71e5ee148b8ec9744b4c01
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 5 12:08:20 2015 +0100

    videotoolbox: compilation fix

commit f222c56250beb7ee77104d7787bb94fcc12bb134
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 3 22:50:20 2015 +0100

    packetizer: flac: don't gather more than max framesize on guess fallback

commit 4fc0c1d860a999bf447937948a0c39acbc3918f7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 3 22:37:16 2015 +0100

    packetizer: flac: do better fallback on invalid values (fix #15740)

commit 885932e3d952fad269ad404bcd493d21f93403c2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 3 20:16:59 2015 +0100

    packetizer: h264: fix CreateRbspFromNAL argument type
    
    and possibly uninitialized

commit 4392fc878af3478e356dbdf5425003a29f90424d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 3 20:03:05 2015 +0100

    packetizer: h264_nal: rename for consistency

commit eec22355e4f1dba0ec73d370bdfca0b4f93eb06a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 3 19:38:22 2015 +0100

    demux: packetizer: change nal length size to uint8

commit 7d1d07366abbab87c9392b3c0d87f03b9cf87c63
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 3 19:29:43 2015 +0100

    packetizer: simplify h264_create_avcdec_config_record

commit 289691ced2843104223d96d24f892a3f888c6edb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 3 16:28:19 2015 +0100

    demux: mp4: handle pps/sps less AVC Intra (fix #15762)

commit 69cf32627e53b1623977f7010e240d95fdb6ca11
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 3 16:26:40 2015 +0100

    demux: mp4: add sps/pps rbsp to AnnexB/avcC

commit d3bbd4cf1083674e5ec9d8a77a35883ad6563b54
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 3 14:05:58 2015 +0100

    demux: mp4: add sps/pps less AVC Intra lookup tables
    
    Would be nicer to rebuild SPS/PPS on the fly as most
    of the parameters are the same, but dealing with
    matrixes adds too much code :/

commit b6ddadea5c08be6d184518fc8a6384793e0f8bb6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 2 17:12:58 2015 +0100

    vlc_bits.h: move in exp golomb bitstream decoding

commit 4bc2db9451ba59a9d63edd09b13000903254b2d7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 2 17:01:57 2015 +0100

    split vlc_bits.h into vlc_boxes.h
    
    Boxes/atoms functions are unrelated to bitstreams.

commit e6d44eed0c1b151f2e279801c99e3f84a7654b21
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 30 15:52:12 2015 +0100

    vlc_bits: do not allow writing by default

commit 138e353459ee2456c2311edb9bc79f5ee6bac48f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 3 14:33:01 2015 +0100

    libass decoder: use Helvetica-Neue instead of Arial as default font on Apple platforms
    
    Arial is not available on anything but OS X

commit 34d0997372e0b0073bf1b02ba66182ac987e8d21
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 3 14:24:19 2015 +0100

    upnp: Fix content listing on plex.
    
    Fix #14976
    This also removes multiple ununsed url parsing

commit 1095d828d764c4cbbb7c36282278e33635fb6d5a
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 3 13:43:52 2015 +0100

    upnp: Read the target url from p_access

commit 973a465a5a28ebd9c9bcf860f21e2dca85ee1a9e
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Wed Dec 2 09:41:47 2015 +0900

    os2: thread: determine cancelable state with killable variable
    
    If thread cancel is disabled and cancel is requested, it causes a tight
    infinite loop eating up CPU in cancellation points such as vlc_join(),
    vlc_cond_wait() and vlc_cond_timedwait().
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit ddd17286b68b64ec1dd505dd4c53f7430c31edfe
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 2 17:58:17 2015 +0100

    freetype: Fix build

commit 1de948c790301ede4f7900ac317ada671d56a7d2
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 2 11:46:44 2015 +0100

    audioscrobbler: Don't mark a used variable unused

commit 0875ed64edb94da7bd9df06e9054a330fe4cf15d
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 2 11:45:00 2015 +0100

    audioscrobbler: Fix socket leaks on error

commit 16ec76db102736fe946bf87365bc59f59fdaefd9
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Nov 30 12:01:58 2015 +0100

    freetype: Provide Dummy_Select fallback for windows store apps

commit 6afa409d5f696673e48238feb1bee701f9c0d164
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Nov 30 11:58:11 2015 +0100

    freetype: Fix leak on error path

commit 05e2ddbcc10d773f9fd2c13d48212a257e5c9346
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 27 15:42:45 2015 +0100

    audioscrobbler: Remove useless allocations

commit 85bbd21f6bd3377d588994c0f9848ca8d20af6e4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 2 15:28:18 2015 +0100

    Contribs: update live555

commit 0fc1eb65c28b7a5d2ec7b35ef48de12dc3ed8a95
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 2 15:09:45 2015 +0100

    demux: hls: remove unused fields

commit d5bdee3c1bedd12c388d365f19ddfecef0d972cd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 2 14:48:58 2015 +0100

    demux: adaptative: remove unused source reference

commit b8a1ad1d14ab63ba1cdbdeda0ee93ec4e6966022
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 2 14:37:09 2015 +0100

    demux: adaptative: fix content-length less chunks reads

commit 19375695812ca47c8eedf2c28b92e8942256f1dd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 1 22:29:50 2015 +0100

    demux: adaptative: compute contentlength from byterange
    
    If byterange request is done and reply does not provide
    content-length reply, read will block due to keepalive.

commit 59a8278f6f5c12b4d66e86c2400598f44583edb1
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Dec 2 14:55:46 2015 +0200

    input: convert input_title_t.b_menu to flags
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2f19e4f4ed4ddd8dbafa76a191233ebc0d0c061e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 2 14:32:28 2015 +0100

    Contribs: fix mpg123 for Android

commit f061e1892280c5696f1ed14e9989d94a379e5b64
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 2 12:19:24 2015 +0100

    Contribs: update mpg123 to 1.22.4
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 93d6d9494cf45bb783517686a66a2403584e39d9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 1 19:34:48 2015 +0200

    vout: handle pool callback failure (fixes #14908)

commit abb3f8383aef5d8ed767ff947aa0c6f2074200d1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 1 17:58:34 2015 +0100

    omxil: HwBuffer: fix double lock
    
    Regression from 890f8e0f98ffb9bb04e33bc7adc09d7644882149
    
    ReleasePicture is already locked since it's now called from
    AndroidOpaquePicture_DetachDecoder.

commit 217a2f8c5b1886cc94eb5d81582c7c45725f107d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 1 15:49:08 2015 +0100

    vout iOS: improved locking

commit dabd1cfb0bf00ada037ed320c07edaff28366cf1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 1 14:59:00 2015 +0100

    evas: TBM: simplify source aspect handling
    
    Since it was not really working for 2.4.
    Handle it the same way for Tizen 2.3 and 2.4.

commit ab6e4544a810b0e6b7ceb19ec7e5c19197562699
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 1 14:25:03 2015 +0100

    Contribs: update Freetype to 2.6.2

commit aa1a73ef0c948bf856bccf3b2cd601e828acebab
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 1 14:07:53 2015 +0100

    freetype: remote non-needed default list initialization for Darwin

commit f76cbf5fd4ee29a4757518983f827e86e66325dc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 1 13:53:16 2015 +0100

    Contribs: Update libbluray to 0.9.2

commit d5bf3a641a1c31f3eae533c07508dda607ef9bc1
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Dec 1 11:36:39 2015 +0200

    bluray: signal EOF at the end of title when playing without menus
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fa5081cc9166dc911eef21182906391105daa670
Author: Vinson Lee <vlee@freedesktop.org>
Date:   Tue Dec 1 02:06:19 2015 -0800

    rdp: Fix build with FreeRDP 2.0.0.
    
    Signed-off-by: Vinson Lee <vlee@freedesktop.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0f234007b9bc20a33727c796b99548b051d14eb4
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Dec 1 13:14:14 2015 +0200

    bluray: make title transitions faster
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4560d10d9d18bd6a598ccebc69ae1ea6ff488a96
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Dec 1 12:34:58 2015 +0200

    bluray: always update chapters when playlist changes
    
    Fixes chapters in titles that play multiple playlists
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bfcbe0a5eb6ff7ee305e9cfc25a19cfb508e15a6
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Nov 30 20:05:15 2015 +0100

    macosx: CAS: Fix 2 more label l10n with missing outlets

commit 7d502e3b28459706436d2f8b2c4702c0055680c8
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Nov 30 19:45:48 2015 +0100

    macosx: fix typo

commit fb343ccb5429c2f823c6bece28da6637c5cc7913
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 20:42:09 2015 +0200

    picture_pool: fix picture_pool_Cancel() with multiple threads

commit 1ef87d326e95b6640e9079dd4cd04dca721e2663
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Nov 30 19:37:56 2015 +0100

    macosx: CAS: Fix some l10n of stream panel

commit 324b9c482ee3dc850c7d80abfd77a73ea3a6029a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 30 19:37:40 2015 +0100

    DSM access: disable fast-seek (closes #16007)
    
    This matches all the other networking access modules and solves performance issues when playing high bitrate content

commit f5187553c6405d1f867db63d8e4dff9bc3142443
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 19:01:16 2015 +0200

    picture_pool: do not fail if pictures are available immediately
    
    This avoids spurious errors in the decoders (and logs).

commit 4b0d235874a044ed33a364a5fcc76dd643eaab5c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 18:55:46 2015 +0200

    decoder: unblock picture allocation at exit

commit 5ac9185d9320e81bfe92d360d528e71d8c870a42
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 18 14:32:00 2015 +0100

    vout: add vout_Cancel
    
    This function will cancel the decoder picture pool.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit e47524287478bc102809248904b2aa4dad67511e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 18 14:31:59 2015 +0100

    picture_pool: add picture_pool_Cancel
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit c41a4a3e0156d5629794b568cb2563915c663301
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 18:41:36 2015 +0200

    Revert "decoder: flush the vout at exit"
    
    This reverts commit 09bb02031398361d6cd8868d82295b5e8c3f0bdc.

commit a6164237ba4b6ea07503464ea3c2f72e9f19374c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 18:29:38 2015 +0100

    Contribs: update libxml2 to 2.9.3

commit f91f0127c3c493a4cfc61346896fa5ff04f9de2e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 18:25:37 2015 +0100

    Contribs: Update gpg-error to 1.20

commit f23d3af1b711b155e9bde45c136c021d40127139
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 18:25:20 2015 +0100

    Contribs: update gcrypt to 1.6.4

commit 8382c7056e2c67a2b70983b4f54bd0cb3baff7a5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 18:10:31 2015 +0100

    Contribs: update libshout to 2.4.1

commit ef7b67032e5bc2603b7c752dff5d40593e8aff10
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 17:53:04 2015 +0100

    Contribs: update Opus to 1.1.1

commit 4aca906b6b3e5d18f3b50966b2cf40524c82eeec
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Mon Sep 7 15:56:40 2015 +0900

    os2: filesystem: re-implement vlc_pipe() with socketpair()
    
    This improves the compatibility with vlc_poll().
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 70239ac0f0810e701fa43e7b460747448aee08b8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 30 14:22:17 2015 +0100

    packetizer: h264: update parsing/add more profiles
    
    New profiles that might break packetization.
    (ITU-T H264 2014/02)

commit 6e470b514e0c8880a1f932d197ed870e7f31dc73
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 13:22:28 2015 +0100

    Bluray: menus are now ON by default

commit 7f17f128df206f39a02c31c2678f9a77b96117c7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 30 12:15:20 2015 +0100

    packetizer: h264: fix sps parsing for High444
    
    Old profile, out of spec
    ref: https://ffmpeg.org/pipermail/ffmpeg-devel/2012-October/132400.html
    
    new sample:
    samples/V-codecs/h264/lossless_timecode_HIGH444_IDC144.h264

commit 891fbd39199ce972fa141df65c1719c527e5416e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 30 12:08:00 2015 +0100

    packetizer: h264: update sps nal parsing
    
    chroma/scaling/matrix is on HIGH profile SPS
    (as in 14496-10:2012)

commit bc0997a56ac12820c9c85e9f7cd3441d9a923577
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 29 17:50:57 2015 +0100

    audiounit: stop audio-unit before deactivating the audio session (closes #15984)

commit 4d1e77a4b96d4910632d32ae0783f30720165688
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 12:11:57 2015 +0200

    src: check exported symbols
    
    Against further dynamic linker namespace pollution.

commit 9826be044cd79753ec1fa47845dde4bf1925dec4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 15:48:41 2015 +0200

    Inline path_sanitize()
    
    Also optimize it away where applicable.

commit c9b04765c900cb7731bb8c28c381eaea11743d23
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 15:42:23 2015 +0200

    Unexport filename_sanitize()

commit 69200883960358225afb16b48197c03d74e59b45
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 15:40:34 2015 +0200

    adaptive: privatize str_duration()

commit 6f15ed5213b202ccaaf70b22ae009dd20f768177
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 15:13:27 2015 +0200

    Namespace/rename vlc URI decode/encode functions

commit 04fb7e89cb4a920a870f7903c8f3a844d1c6a5fd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 14:53:28 2015 +0200

    Namespace/rename make_path to vlc_uri2path

commit 7b331c5407c7398795e4b806419fd96ace73c33f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 14:31:49 2015 +0200

    Inline IsUTF8() and EnsureUTF8()

commit 89f83434a31ba53abe1693d5792740a90ab3fdc1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 14:21:04 2015 +0200

    Export vlc_towc()

commit 1b68edb93131473507422d63ca5aa90d10eaba44
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 14:05:15 2015 +0200

    Namespace/rename XML encode/decode functions

commit 09bb02031398361d6cd8868d82295b5e8c3f0bdc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 28 23:31:09 2015 +0200

    decoder: flush the vout at exit
    
    (see comments)

commit ee93445701017751287f2b7f45411cf75a0fca7d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 28 23:30:28 2015 +0200

    decoder: remove dead code
    
    The ES output never calls FrameNext on non-video tracks.

commit 414de08eda3f2e4c99aecd5eb948b24dc7b0b392
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 27 22:45:46 2015 +0100

    demux: adaptative: fix live pruning
    
    Pruning by time was removed a while ago, but
    pruning by segment number only can't work for pruning the whole
    playlist as that number can be inconsistent across representations
    and streams/adaptation sets.
    
    Pruning by number should only occur merging/at representations level.

commit 03a564d98a4fa0b9715e30c7a0798a3dc2553302
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 27 22:40:50 2015 +0100

    demux: adaptative: fix timeline time->number
    
    was not working with live streams as not starting from zero

commit 146d47c4128ba0b1ed4634f47d65aed6b343c274
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 26 23:06:24 2015 +0100

    demux: adaptative: split update steps and handle failures
    
    And use targetduration hint for scheduling HLS updates

commit 1a4b8ae2463f0ddebe006a5fca7667ac96c93bd7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 25 18:24:03 2015 +0100

    demux: adaptative: add minAheadTime for live playlists

commit 4b7af7307869166a2eecd923213f53bb182617e1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 24 22:13:48 2015 +0100

    demux: adaptative: don't use first segment for live streams
    
    segment could become unavailable before we could fully download it.

commit 0b33ed30caf0af521d7ec30777daa464312246ff
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 28 12:37:21 2015 +0200

    variables: privatize callback type enumeration

commit 0b5188ff963e59c5406187fab4c421a172ee87fe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 28 12:32:11 2015 +0200

    variables: voidify callback addition functions
    
    In case of memory error, the functions will abort (table macros). Even
    if it did not, callback deletion would later abort failing to find the
    callback instead. (The API could be redesigned not to require memory
    allocation if necessary.)
    
    In case of nonexistent variable, log an error and fail safe as before.
    This lead to deadlocks of misbehaviours as before - no changes here.

commit d0a860da52adda89ee427269bf34df9c9e083f07
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 28 12:26:34 2015 +0200

    variables: voidify callback deletion functions
    
    If the callback does not exist, the program aborts anyway, so the
    error value was mostly useless, and indeed always ignored.

commit 53dd250185cafdabac4dcd24cbd3836098717855
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 28 12:25:36 2015 +0200

    variables: anonymize union

commit 2850821ad70765c499319fdb9598780c2fd4597e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 28 12:10:01 2015 +0200

    variables: voidify var_TriggerCallback()
    
    The function can only fail if the named variable does not exist. The
    only case where the error was actually checked was after another check
    that the variable exists (Old RC).

commit 43a771c11956591eff76f1382ba49d9db78172aa
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 28 12:14:47 2015 +0200

    old: use type-safe variable setter/getter

commit 2b91ec7517c74f13cc46ab5892da5c849a9cf8ee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 27 19:08:53 2015 +0200

    decoder: remove owner.b_packetizer

commit 34b791856b33963d785b7dad79f7c3fab29aa4f9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 27 18:59:48 2015 +0200

    decoder: fix NULL dereference when pausing packetizer
    
    DecoderProcess() can only be used with the decoder, not the packetizer.
    Inline DecoderFlush() to fix the issue.

commit aa28acb1a5bd980ea99167e3507f4f3795b84a1b
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Nov 27 17:33:56 2015 +0200

    bluray: implement overlay wiping
    
    Fixes duplicate menu selector images with some HDMV discs.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4e0fa1b4e8091ba3f1757cc4adceebc0f1fec2e9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 27 11:55:01 2015 +0100

    tizen_audio: handle interruption
    
    If an error occurs on write, set an error flag (all future Play will drop the
    block). If an interrupt finish, cancel the error state and try again.

commit 0ef791637bce046c21098f4ed4e71d21ae1dbef9
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 27 12:14:25 2015 +0100

    objects: Fix vlc_list_children
    
    Regression introduced in b84a7ea0e

commit 50f0fb4f723350f650329cd2f33662d6e499b126
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 10 09:07:22 2015 +0100

    avformat: respect the const introduced by 862771a804bb72e0150234f8ffc0f4a11fd5e3bd
    
    &p_input->fmt == p_input->p_fmt
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 18a7aaca6ec60f35912da4e8015bc648738004d3
Author: Emeric Grange <egrange@gopro.com>
Date:   Mon Oct 12 18:02:37 2015 +0200

    Audio: do not hardcode audio channel limits into the decoder/demuxer
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d03be6c00b0df426ed581461a1a5ea00c1c78ec0
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Oct 29 16:05:38 2015 +0100

    sout: we don't modify the chain string
    
    without the const passing a std::string.c_str() in C++ fails
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 01615212840645956d55956cb80668d5668d00bd
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Oct 29 16:08:50 2015 +0100

    stream_output: fix compilation warning
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d4fe62a847ddd3fec7f3a4fd8bc0b66ccd0414b8
Author: Rafael Waldo Delgado Doblas <lord.rafa@gmail.com>
Date:   Sun Nov 15 20:56:16 2015 +0000

    vlsub: improving messages.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 572937058d0fef09880ac2d7f90e5e1628da91bd
Author: Rafael Waldo Delgado Doblas <lord.rafa@gmail.com>
Date:   Sun Nov 15 20:56:15 2015 +0000

    vlsub: fixing regex to open files on root folder or without name (ie. http).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9bac00d12a2d71e61bc761aa0dc0ca2bcc9bdad0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 26 17:29:21 2015 +0100

    Prefetch: include cosmetics

commit 0010afc2333628715c733af7210acc1af82bc32d
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun Nov 22 12:24:41 2015 +0900

    stream_filter: implement prefetch module for OS/2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d297628100501ffe6a2e7e1d1d5cd1dabf5b70b3
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun Nov 22 12:24:42 2015 +0900

    os2: thread: use sys/builtin.h instead of 386/builtin.h
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e0c433dd35f1f6ef8fb768a4b5b03c6402314973
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun Nov 22 12:24:39 2015 +0900

    os2: thread: improve vlc_poll_os2()
    
    If non-sockets, set revents to POLLNVAL. If regular files, assume that
    they are ready for the requested modes.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9e2c32f8f17c30ee1c019e33767ac28172d94424
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Oct 29 16:08:51 2015 +0100

    stream_output: fix typo
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 907eaa518e5b4d8773c736ee5d2a2cee1f25864b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 26 16:03:25 2015 +0100

    Comment navigation queries

commit 5aad8ebbfd60a159d234f8fdb6bc9064d38cb664
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Nov 20 13:13:09 2015 +0100

    packetizer: use a custom flush callback
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 2b38ec8687829e7e432161aafab95d870459881b
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Nov 19 11:13:02 2015 +0100

    add a flush callback to decoders/packetizers
    
    When the decoder/packetizer doesn't provide a flush callback, a block with
    BLOCK_FLAG_DISCONTINUITY and BLOCK_FLAG_CORRUPTED is pushed downstream.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 2e4030a28152b2a868b1312f2a6c824193501bec
Author: Jonas Lundqvist <jonas@gannon.se>
Date:   Mon Nov 9 16:39:42 2015 +0100

    audioscrobbler: check the submission URLs after handshake
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f016bce31bc5ef47d7f6de7a0c32d21a445937b8
Author: Jonas Lundqvist <jonas@gannon.se>
Date:   Mon Nov 9 16:39:41 2015 +0100

    audioscrobbler: implement Now Playing feature
    
    Submission of the currently playing song will show up on last.fm as
    "Now Playing".
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d7dcada304a61a9fa82ea459b9c6ffde9ff506da
Author: Jonas Lundqvist <jonas@gannon.se>
Date:   Mon Nov 9 16:39:40 2015 +0100

    audioscrobbler: remove dead code
    
    Remove the old (unused) code related to the "Now Playing" feature.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 15b848dde02aea675c8d640e9e88d10cf1f90fbc
Author: Jonas Lundqvist <jonas@gannon.se>
Date:   Mon Nov 9 16:39:39 2015 +0100

    audioscrobbler: update protocol documentation URLs
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d9a8f8cd91064ca27c035094952983f2df510096
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Mon Nov 23 09:31:46 2015 +0200

    Fix leak in error path
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9fc361dea16db17f3220974d9b68f1af955b236a
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Nov 25 14:47:37 2015 +0200

    avcodec: fix PGS timestamps
    
    Display time is not pts of the last block.
    avcodec returns decoded subtitle with the correct timestamp.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c5539face36120358eee457f68c22e72b32b7b39
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 25 19:39:53 2015 +0200

    objects: per-object tree lock
    
    This replaces the structure lock per instance with a lock per (parent)
    object. The point is to reduce lock contention in vlc_object_release().

commit f3c8e16f4614637bc06ff6d50c3cc8b12121810b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 25 19:24:26 2015 +0200

    objects: use object ID rather than name for "vars" command
    
    This enables looking up objects that do not have a name.
    
    (Use "tree" as before to find object IDs.)

commit bae51968b008ba9c7dd2c09ff65a40f7d1e69521
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 25 19:13:36 2015 +0200

    objects: reorder and clean up tree/vars code
    
    Avoids forward declaration and simplifies.

commit b84a7ea0e07f441fb747eda829534cd22a507314
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 25 18:45:23 2015 +0200

    objects: inline NewList() and fix error case

commit d1f507fb0c8c026130c490c2eb88559deb913874
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 25 18:21:09 2015 +0200

    test: remove cargo-culted LibVLC parameters
    
     * ignore-config is enabled by default
     * intf is irrelevant (as libvlc_add_intf() is not called in tests)
     * media-library is disabled by default
     * aout is overriden by the media player
     * vout is overriden by the media player

commit eb775b963cb8bdbe7d539517b54036c475879fc1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 25 18:17:17 2015 +0200

    test: remove old unused "native" Python tests

commit 5f5121a8d893073acc366321b9c36361e2162126
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 24 16:33:40 2015 +0100

    libvlc: add a new event fired if the chapter changes

commit 0584253f87bd897237744e9c18623a9465d922a6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 24 16:29:48 2015 +0100

    libvlc: raise a title changed event if the title changes

commit 71b243f49fa89807adb30e84d026a0318200ccdc
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 25 02:50:10 2015 +0100

    youtube.lua: handle multiline statements in signature descrambling javascript
    
    Join such statements into a single line, as it breaks our line-based
    parsing when one of our statements of interest gets split

commit e24a363c064bfa14493be7f57bcebb328fe9f29e
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Nov 24 18:48:40 2015 +0100

    Bluray: correctly mark interactive titles as menus
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3c166d67469f4398621900771453a1bfce99af76
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 24 18:10:29 2015 +0100

    freetype/darwin: fix error path when font lookup fails

commit 2506d44645fb040601d72660be4e975ad7ad3371
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 24 17:50:03 2015 +0100

    demux: adaptative: fix null deref

commit 8cc97cc2805e88093395782791427b0b39d05b36
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 24 17:49:23 2015 +0100

    demux: adaptative: fix regression with init segments
    
    must not issue a discontinuity on first init segment

commit cac5bd833a71af4a7e438e5965b0fc364544aa2a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 24 17:48:29 2015 +0100

    demux: hls: fix inconsistent segment number matching

commit a6b0ddeab8a3c8420b584d086fcae4b96bb85abe
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 24 16:48:37 2015 +0100

    lua-http: XML encode metadata before pushing it on the page (closes #15866)

commit 03159d8c43ea0820afa15b9a493973deebf3cc8b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 24 16:39:10 2015 +0100

    Revert "lua: XML encode metadata before pushing it on the web interface (closes #15866)"
    
    This reverts commit 2e25c296dac7649effea50d294ac625f21da4530.

commit 6225d2fd7dea2ebe70809e9adfec9333f9d9c710
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 24 16:28:48 2015 +0100

    Cosmetics

commit 0cb9e81363c3d97a01343a82114f3fcb5d995cac
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 24 15:53:45 2015 +0100

    contrib/harfbuzz: syntax fix

commit 1f5fb6194dcbb34c75d5e2ae75b56d345c937dab
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 24 15:37:51 2015 +0100

    lua: XML encode metadata before pushing it on the web interface (closes #15866)

commit 85b636e764abeac6d7599be9e2a01a1a9439716e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 22 22:01:59 2015 +0100

    demux: adaptative: handle inconsistent numbering (hls)
    
    HLS can have inconsistent numbering through playlists.
    In that case, a datetime is used to provide date and time reference
    for the first segment.
    We need then to convert our segment numbers using that
    reference to be able to switch to the correct segment
    number.
    
    Exemple:
    http://b028.wpc.azureedge.net/80B028/Samples/0e8848ca-1db7-41a3-8867-fe911144c045/d34d8807-5597-47a1-8408-52ec5fc99027.ism/Manifest(format=m3u8-aapl-v3)

commit 0fa3d8589957cb4f0bb3a6589ccb35f657521c2b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 23 18:59:53 2015 +0100

    demux: adaptative: fix timezone and add micro seconds

commit a572661b75d2124626844b6e853300b13b420b53
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 23 17:02:00 2015 +0100

    demux: hls: prevent duration/starttime rounding errors
    
    Some streams have microsecond durations, > default timescale

commit 2530f6a54b07995eea0aaaaec6abcd76fb564b79
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 23 22:27:04 2015 +0100

    Qt: fix EventId collisions
    
    Ref #14885 #14166 #14162 #14442

commit 3448e372b843108b32527a8a423d690ee7f7256d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 23 19:49:02 2015 +0100

    Qt, playlist: simplify

commit 5b143370ec9f3f5a66f559d5864e6c45a639e7b6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 23 17:12:47 2015 +0100

    Freetype: code cosmetics

commit 1e11d864b2d9871a616f197413ee187f369666a5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 23 17:06:52 2015 +0100

    Move Freetype to a subfolder
    
    It makes it more clear that text_layout* and platform_fonts* are
    Freetype2 specific

commit 383a83fe97c43741d24609e369a659d8c6ec4a8c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 23 16:49:36 2015 +0100

    Remove Win32text module

commit fb66c9392a6fa2252fa61da81786e9eaabdfd7a5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 23 16:49:07 2015 +0100

    Remove QuartzText module

commit 3bf59a594ec81c9c58f738e0bb067387d7eaeacb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 23 16:44:06 2015 +0100

    Freetype2: warn if you don't support CTL

commit f3d1007fc9080ee1e87ba02d7428d3bb7d61529b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 23 15:51:10 2015 +0100

    freetype: enable font fallback on Darwin

commit c1678d6a45eaf9d13f49a35db67bfdb5effa7a61
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 23 11:00:23 2015 +0100

    contrib/harfbuzz: explicitly enable CoreText support on Darwin

commit 22bfea61b1c7f330936d236adf33638e6f17a529
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 23 00:16:29 2015 +0100

    freetype: add default font list optimized for embedded Darwin

commit da1b496d32cc02fa1a35f6a16c2610ce2477f81c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 22 23:56:59 2015 +0100

    freetype/coretext: cosmetics

commit 4e4f84cc92358c5a96cf97de715a11ee71534b51
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 22 23:50:30 2015 +0100

    freetype: add CoreText font fallback

commit 55a47ea3474dd7ba462192cb34bfbf7be92e463b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 22 21:22:14 2015 +0100

    freetype: drop CoreText specific Select in favor of the generic implementation and add family lookup
    
    No fallback yet

commit 0d13b8233a82f3104993a8a1d2dbf041ea6737e1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 22 20:13:16 2015 +0100

    freetype/fontconfig: remove legacy Apple code

commit 8fba7c5840e8270cbe0e0a9f54684114cb4fd929
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 22 19:12:44 2015 +0100

    freetype: replace legacy Mac selector with a re-write based on CoreText
    
    This removes a Carbon dependency and adds support for tvOS and iOS

commit cc0d1977d0c0b5ef887871f79e142247133823a4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 22 17:43:44 2015 +0100

    demux: flac: add support for embedded cuesheets (fix #15885)

commit df9ee5575f69f48988553d6fb924f97627377e9f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 22 14:40:27 2015 +0100

    meta: xiph: parse embedded cuesheet

commit 71ded877c20531826fb35745b79f60646206230c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 21 20:46:08 2015 +0100

    meta: xiph: use flags instead of booleans

commit 0efef5cc760fcc2e0eebc700c64dfe4a68c4e462
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 21 20:35:13 2015 +0100

    vlc_input: remove unneeded init and add check allocs

commit e1aaa1e07b97f17603a4873d7ca4829b25f84239
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 21 20:46:38 2015 +0200

    Fix return value after items hand-over via MPRIS (fixes 15947)

commit 3c5a8d0731a5b03ff2934f42e317f7f6e121c712
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Nov 20 12:33:26 2015 +0200

    bluray: handle DEMUX_NAV_POPUP
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4e9f1e4679dc0c6b06e7f0218a5c0da71f4206b7
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Nov 20 12:29:59 2015 +0200

    Add INPUT_NAV_POPUP and DEMUX_NAV_POPUP for BluRay pop-up menu
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 265466c56403a34a19555a2f47da549cafe15451
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 20 19:28:43 2015 +0100

    iOS Dialog Provider: runtime fixes and added base l10n

commit 749fb1c58cea14e96de4619887fa3da3b18e0686
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 20 13:18:50 2015 +0100

    core/dirs: add support for iOS and tvOS

commit 21d3166dd355b3795e7facd055152755de8648a0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 19 18:44:27 2015 +0100

    iOS dialog provider: compilation fix

commit e2caa22e04bbb0a05bea96a0f3bda6e00db982db
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 19 14:44:07 2015 +0100

    demux: adaptative: use threaded http chunks

commit d1815a4222b54ba086da3277d505771e14014cb8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 13 12:28:00 2015 +0100

    demux: adaptative: add buffered/threaded chunk source

commit 7d7975d05879808f3d38aa54261624d0ef8f6821
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 18 21:01:30 2015 +0100

    demux: adaptative: add readBlock

commit 3bb8d715351243d10df046a02d057f0693e0c8bd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 16 15:55:35 2015 +0100

    demux: adaptative: add chunk prepare

commit 422cceae88e203d831ea6c0cc72fb929e030d6a7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 10 21:27:36 2015 +0100

    demux: adaptative: change rate based algorithm
    
    Drops the current long term average to a moving
    average/vertical horizontal filter with an
    observation window of 250ms.

commit 8f114b49f19039f5b43875e6800e57818094da8a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 19 10:50:48 2015 +0100

    Revert "decoder: fix signal call from input_DecoderFlush"
    
    Decoder still need to be signaled when FIFO is already empty.
    
    This reverts commit 32040fdcb8c8bbafb44e73bed15df0e69f78ff88.

commit 4637aca08783615a4aeb242aec9e1e0626a58784
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 10 17:33:00 2015 +0100

    decoder: don't wait if paused

commit 1110e12a6c489efcc67c6c168fa4bb3748379dfb
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 17 11:45:31 2015 +0100

    decoder: don't wait for flush to complete

commit 32040fdcb8c8bbafb44e73bed15df0e69f78ff88
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 17 19:28:23 2015 +0100

    decoder: fix signal call from input_DecoderFlush
    
    Since recent changes, DecoderThread need to be signaled only when
    frames_countdown is incremented.

commit 122bccd0ec5c54af53d8110f121f67aa93138933
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Nov 13 13:15:28 2015 +0100

    decoder: remove unnecessary cast
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 326b1d971b94b66c7c2535155ac13fae666752f5
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Nov 18 09:59:25 2015 +0200

    bluray: fix current chapter
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b7505d4a307871a30800e8e4d3fd20f5d623a1e7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 18 15:34:28 2015 +0100

    iOS Dialog Provider: re-write based on UIAlertViewController for tvOS
    
    Once we drop iOS 7, we can also remove the legacy implementation based on UIAlertView

commit fe32c1c6bf445b946f7d7c8e3c0c4d4d17d013bc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 13 17:46:14 2015 +0100

    demux: adaptative: merge streamformats
    
    only handling them should differ. adds debugging

commit 916065b01cc1d016a4b22fec2a05f4d67ffe6e4c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 13 16:47:10 2015 +0100

    demux: adaptative: merge restart & discontinuity states
    
    And add implicit discontinuity on format change.
    Use only tracker events to change state (will need to move currentchunk away)

commit dd9a9051ea05075a14224c9a00cbe6b8c79eb178
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 13 12:42:43 2015 +0100

    demux: adaptative: simplify chunk usage

commit 51bbaf06e0510ea921890158992e39af5a7b6f42
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 18 10:55:07 2015 +0100

    demux: avformat: fix double free with io buffer (fix #15903)
    
    As mentioned by documentation
    "It may be freed and replaced with a new buffer by libavformat."
    " AVIOContext.buffer holds the buffer currently in use"

commit cacb19317343bd3b0ecd127736c12133563601f3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 17 21:14:06 2015 +0100

    demux: smooth: fix mismatched free

commit 5f1dec1a174965aff5f6c7c1221a2e9fb39da181
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 10 17:01:59 2015 +0100

    demux: adaptative: add bandwith debugging

commit 39589fb69f0d715eb2df2fccedc55062204916b0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 10 16:20:43 2015 +0100

    demux: adaptative: don't compute bw stats from tiny chunks

commit ff3e1e6ec492e56915fd8b27a884c2eb5baee49b
Author: Salah-Eddin Shaban <salah@videolan.org>
Date:   Mon Nov 16 23:39:00 2015 +0200

    freetype: handle non-English family and style names in Windows
    
    Close #6350
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5e9406e75ae2207cf3422cf28d86eb2fbaa85349
Author: Zhao Zhili <wantlamy@gmail.com>
Date:   Tue Nov 17 10:11:50 2015 +0800

    CDG: fix seek
    
    The video output is messed up if we only do a stream_Seek(). If we want
    to seeking forward, we should decode and discard pictures to keep the
    decoder at the right state. For seeking backward, seeking to the
    beginning and decode from there. Since the bitrate is very low and the
    decoding process is really simple, there is no obvious delay. I have
    tested this strategy on a dual core ARM board.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ebdc3e13e92aae36e0c8c4d7ac577be08efdb9a4
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Nov 17 13:33:14 2015 +0200

    bluray: fix stream selection from disc menus
    
    Fix enabling subtitles from disc Top Menu.
    Fix changing audio/subtitle track from disc pop-up menu.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6090cea9892ad9f085424de7423bf2898378f511
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 17 15:41:10 2015 +0100

    iOS Dialog Provider: add progress UI stub

commit 16c14ccedc8fe1f729517624784e38854bbf0eb7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 16 21:57:41 2015 +0200

    vdpau: fix function pointers array size

commit 79f6c2f2fa5ae6a9d86b0ac066d1109d0f9e697a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 16 18:49:05 2015 +0100

    VideoToolbox: add 4K support for Twister SoCs
    
    Also add a couple of missing warnings

commit c3b4e38d181709d63882b404e3882f243a2a74a1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 16 15:04:28 2015 +0100

    Contribs: update PNG to 1.6.19
    
    CVE-2015-7981 and CVE-2015-8126

commit 98cc9e18b59862199bd805a9b8c1a78b7dc02d6f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 16 10:31:28 2015 +0100

    DSM: Require 0.0.7 release

commit fc2d4bcaf892c6c9d44e8dd86072c700703cf34e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 16 10:31:17 2015 +0100

    Contribs: update libDSM to 0.0.7

commit 6e31fe928e37c856886723ceff3241ba8fbe53e3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 15 01:30:56 2015 +0100

    extras/tools: update ant

commit 24296b4c46587163515eeaf25b6183c230412607
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 13 18:01:45 2015 +0100

    avcodec: fix orientation overridden to 0
    
    This commit fixes a regression introduced by
    adf9ce6dc626ef25ef94b8adb80e764cfbc86a50

commit 0809eab8677f07126cc061b6e3d289bdc3012e1e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 10 16:44:16 2015 +0100

    sout: fix documentation
    
    the default value for sout-mux-caching is 1.5s
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 93a89a3d401b2cd7f9571b0365fabe45fb3c1202
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Nov 11 10:19:16 2015 +0200

    bluray: use title names when available
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8d24164e285fa6a93a8c3fa8e2d53b31066b9eaa
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Nov 11 10:18:57 2015 +0200

    bluray: Fix missing chapters and title lengths when playing with menus
    
    Title length is unknown until playback of playlist starts.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cf543be606c888d49064ffacc58b2bb9c1841d65
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Nov 11 10:18:25 2015 +0200

    bluray: fix incorrect current title in Playback menu
    
    Menu was showing new title even if title selection failed.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e2115fed06ecb8b5458bc7dce4e8c38deccfa504
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Nov 10 13:43:01 2015 +0200

    input: register title change callbacks only once
    
    Fixes skipping multiple titles with single click.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2d7a0207ca275ed2a7f1dafc2a77e3050738d58e
Author: Salah-Eddin Shaban <salah@videolan.org>
Date:   Wed Nov 11 02:20:13 2015 +0200

    Freetype: handle special space characters
    
    Close #15840
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0eaa306d850e9c0d152d61875ce213cfc63ef6a1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 12 10:52:04 2015 +0100

    mediacodec: factor set_integer

commit 1efc94f5b0304016637ea6672a91e927d4867f5b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 12 10:45:26 2015 +0100

    mediacodec: use an helper for NewStringUTF
    
    Always check the return value of this helper.
    This helper will aslo clear an exception if one occurs.

commit 089169471c7b5a5332813bae44865b68354044a9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 6 16:40:15 2015 +0100

    mediacodec: psz_name and psz_name are now visible by sub modules

commit df1e837991293d2b462ce52ffbe358ef57ac922f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 12 10:30:34 2015 +0100

    mediacodec: use ExceptionCheck
    
    Convenience function to check for pending exceptions without creating a local
    reference to the exception object (that was not released).

commit f92071359673632c5bc8245084468dd604c8a30b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 12 10:33:49 2015 +0100

    android_utils: use ExceptionCheck
    
    Convenience function to check for pending exceptions without creating a local
    reference to the exception object (that was not released).

commit fbfc6cec88b802a7da7c1897d31988198c296f0f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 12 10:32:57 2015 +0100

    audiotrack: use ExceptionCheck
    
    Convenience function to check for pending exceptions without creating a local
    reference to the exception object (that was not released).

commit 0c48277273d776080c893154124fa3537dc6485f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 11 22:51:08 2015 +0100

    youtube.lua: properly search for signature descrambling helper object
    
    It is not anymore conveniently located before its use. Also, update look
    up of descrambling rules.

commit 69c4ec6092f9e10a5c5a5299d607035ccaa798e4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 9 18:55:01 2015 +0100

    decoder: don't flush if already flushed
    
    This commit fixes the following assert in the DecoderThread function:
    "assert( vlc_fifo_IsEmpty( p_owner->p_fifo) );"
    
    Indeed, if input_DecoderFlush is called again (just after), p_owner->flushed
    will be true and the input won't wait for the DecoderThread. As a consequence,
    the input will send blocks while the DecoderThread is flushing, hence the
    assert.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 8074c41dc022bda1170fe4c4084bd37f17ddbba2
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 11 16:14:21 2015 +0100

    youtube.lua: helper to extract signature descrambling javascript code

commit f87f4539698430ceef75d7becb08f83125b3f869
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 11 14:17:58 2015 +0100

    youtube.lua: buffering iterator for signature descrambling javascript

commit fea9d0b70a70b588eda1f46b159d7ffac68bb767
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Nov 10 13:41:54 2015 +0200

    bluray: notify libbluray when stream selection changes
    
    Fixes currently selected stream in disc pop-up menus.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f41e1e667db1a2f662d57a1ceab3f6de8e894dfe
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Nov 10 13:41:24 2015 +0200

    bluray: fix stream selection from Top Menu
    
    Streams are selected before playlist playback starts.
    Stream PIDs are not known before playback starts (and may change between playlists).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 070398a5c188f5a8ec07c26ac04b5279fea849ab
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 10 11:04:04 2015 +0100

    demux: adaptative: force switch on deactivated streams
    
    Because representation is now unset on stream deactivation,
    we need to force selecting one.

commit 2f4dcee5f3ccc0505faf57db42e35652e813cc30
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 10 10:54:52 2015 +0100

    demux: adaptative: add dedicated reactivate stream method
    
    We'll need such overridable method if reselecting a stream
    requires global playlist action/refresh.

commit 9569a5283a9dcafaa3d4473496c04717b3196623
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 10 11:00:22 2015 +0100

    demux: smooth: refresh playlist on stream reactivation
    
    Since smooth adds new segments from segments data,
    we need to resync for unselected streams.

commit 1b74004823e88c9a3a22acfe9832cfbbd420155f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 10 10:59:08 2015 +0100

    demux: adaptative: handle restartdemux return value

commit fe8e6262fc6daf213dbe13522549594b43f413e5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 10 10:52:48 2015 +0100

    demux: adaptative: enforce es selection when recycling incompatible es
    
    With multiple audio tracks, es would select another when deleting
    current es/not recyling.

commit 064c2f72c021a25def3e38baf486a7c56187cfb6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 9 20:05:34 2015 +0100

    demux: adaptative: disable alternate streams after demuxing stage

commit 51f2e9698636d6c880967abf0fad5b6ed856a7d2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 9 15:20:59 2015 +0100

    demux: adaptative: don't retry on EINTR

commit cc1a3576ba60d6044108cc25d9b9d3e4b71a51cb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 9 14:54:28 2015 +0100

    demux: adaptative: Ensure having a representation on setPosition
    
    Recent changes deselects representation on stream deactivation.
    But setPosition requires representation when reactivating a stream.

commit 949032db15370c1e35049337f85f9c22a91fb8e3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 9 18:45:03 2015 +0200

    tls: make vlc_tls_ClientSessionCreate() cancellation-safe

commit cc80d6a201f48063bd8b208964d94733e3d3dc0d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 9 18:44:23 2015 +0200

    tls: improve documentation

commit 5d92e1693d1a2408ba5d9f1aa6f72432aae8b888
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 9 18:38:43 2015 +0200

    include: doxygen group for sockets

commit 3dc88b313bfeee99846d8f564b2ec6a47243b9ac
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 9 18:35:14 2015 +0200

    include: Doxygen group for threading

commit 8c82fc749d901d8e0ec1ddd11339918b1addd886
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 9 11:30:30 2015 +0100

    decoder: display one frame on flush if video is paused

commit 9cb94277e273583f42339ab758503f911f48195e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 9 11:02:51 2015 +0100

    demux: ogg: fix warning

commit 6bd1b7b5990cdc86a7bd88142b8c78b7e6aad94e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 9 10:52:52 2015 +0100

    demux: ogg: fix reading flac metadata

commit 48b5ccf90d0fb2089f542b22ffc8029265579369
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 9 10:51:52 2015 +0100

    demux: ogg: rewrite headers gathering

commit 5b40009331d40c2bc65d9d90d311598c63aa30d8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 8 17:05:20 2015 +0100

    packetizer: flac: apply demux pts offset to absolute offset
    
    ref #14972
    ref #10328

commit 4497a587c5039edec5905b14aff5b2369dded159
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 7 20:57:14 2015 +0100

    demux: adaptative: account and split bandwidth usage

commit 62cbf970154ff421010b6dc4345161c084219c74
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 7 20:52:42 2015 +0100

    demux: adaptative: add switch event

commit 24b586c766ad7a674d962f2b131d5dec0674cc2e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 7 15:06:59 2015 +0100

    demux: playlistmanager: fix leak or double free
    
    Manager took ownership of logic

commit 81913ec567f3c0092c1b0ae69b3b0006619ee4e5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 5 20:40:40 2015 +0100

    demux: smooth: handle per streamindex timescale

commit e0746a1f85542a0a8d37813b77050242f780822c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 5 20:38:42 2015 +0100

    demux: smooth: add missing language

commit 9031edac70a92b78cf1bfb3e25479d096ebe13f4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 9 10:32:47 2015 +0100

    test: fix distcheck

commit 9462621efb0eef5c96c01374e646483d0bec0360
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 8 16:51:09 2015 +0200

    aout: add some assertions

commit d7cb099f49f208fdd3a81293e95c040a924302c4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 8 13:37:05 2015 +0200

    filter: merge audio and video flush
    
    The callbacks return nothing (unlike drain), so they can be treated
    identically regardless of the ES category.

commit bde25912f6f0372703980f1446ab4db8ed973556
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 8 12:49:44 2015 +0200

    filter: document callbacks

commit 2cebf81e44b8c5ba05c7d639cd9d457a1a287f48
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 7 13:40:02 2015 +0200

    decoder: remove old no longer used flush support

commit 71b3667fe3c7f8d3407399074aff3f924dfc940c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 7 13:28:09 2015 +0200

    decoder: convert drained flag to atomic
    
    So long as the flag is only polled, this is a little bit simpler.
    (Though ideally, it would probably not be polled.)

commit e925a9e241c79290983c612c2d0016638a20f049
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 7 13:16:34 2015 +0200

    decoder: handle flush "before" pause/resume
    
    This restores the ability to flush the decoder while it is paused.

commit d109d82569e534d4860c23402235b545c61f6413
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 7 13:12:44 2015 +0200

    directory: missing #include

commit 743ccea78389a3dd2aaa7c4f880fd17a1d034ea4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 6 17:33:47 2015 +0200

    decoder: do not buffer while paused
    
    This works around a deadlock in the ES output. When paused, buffering
    cannot be measured since output latency is unknown. Even decoding
    latency would be unrepresentative.

commit f0ae37f49e0ebf917b80e84de3cf371c41f77225
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 6 17:33:47 2015 +0200

    decoder: don´t touch pause on exit
    
    The paused flag is no longer protected by the owner lock (the FIFO lock
    instead), and it is no longer useful to clear it at exit.
    
    Edited-and-...
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 24f1ec9c1c290dc3e2a18c63b400c068c7800cfe
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 6 11:30:42 2015 +0100

    test: fix test_media_subitems without HAVE_OPENAT

commit 06185e5e53aa5baacc250bcddaf412f0813f76b6
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Fri Nov 6 15:22:00 2015 +0900

    Demux smooth: playlist: fix compilation
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e4695f0adfd6514ed00c1f0aac6881de4353b596
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 4 18:14:56 2015 +0100

    test: add test_media_subitems
    
    Test media subitems when parsing a directory via a path, via a fd and via
    various locations.

commit 206a974932403bea3486e21cdc3eadfc5f7e8065
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 5 23:42:57 2015 +0100

    vlc_common.h: remove legacy code for Darwin < 10 releases

commit c589758c44befea20cae0fca4224eb7c80fb933f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 5 23:37:52 2015 +0100

    vlc_common.h: add Darwin include for PATH_MAX

commit 17e9c422d795270aa76bde93202df5f2c8283d9e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 5 23:26:18 2015 +0100

    Freetype: don't use deprecated Fribidi functions

commit d0efd59165021ece141d34e155ae6ea5cc482901
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 5 21:41:28 2015 +0200

    decoder: remove incorrect assertion
    
    The decoder can be paused by the decoder owner while the decoder thread
    is decoding. We still need to queue the last decoded picture(s) to the
    (not yet paused) video output.

commit 2b757516f903932473f30a5f7bc55a86dac41937
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 5 21:34:30 2015 +0200

    directory: stat() fallback if *at() functions are missing

commit 2ed45c184c888a8c3eb11c72242aaf3b1c8b10d0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 4 22:45:19 2015 +0200

    input: check run-time against demuxer timeline (fixes #15814)
    
    The "run-time" parameter was measured in terms of how long the input
    thread had actually been playing, i.e. the real time since the thread
    was created minus the real time spent in paused state.
    
    This is a bit odd. It does not make much sense when transcoding, and
    also seems rather counter-intuitive when playing a non-nominal rate.
    
    This patch changes the run-time variable to match the demuxer time, as
    does the start-time and the stop-time.

commit d2ed3fb624274e824ab5ba892e8898f3d0eb1502
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 5 21:23:45 2015 +0200

    directory: ignore non-regular non-directory files by default
    
    Playing FIFOs and devices (especially character devices) typically
    only makes sense if explicitly requested. Playing FIFOs will usually
    lock up. Playing devices could have any effects.
    
    Add an option to restore the old behaviour in case someone wants it.

commit 8b83104e218153be159c977102e24d4dabd27da4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 5 21:22:14 2015 +0200

    directory: (mostly) cosmetic changes

commit f94fadda7510cfb8d1908446cc142bd480e453a0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 5 20:19:32 2015 +0100

    demux: smooth: missing switch policy

commit f09f614ba9c219843c67157fbd04a57325e70441
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 5 16:34:12 2015 +0100

    demux: adaptative: fix warning

commit 0ac74ba8d90824aa56da44f3de33a3be2f51fe6f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 5 16:08:47 2015 +0100

    Contribs: update dvbpsi to 1.3.0

commit be322be4264ec3043f7eced3987be981e0a06cfc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 5 15:57:06 2015 +0100

    demux: adaptative: fix bitrate maths
    
    ::facepalm

commit b7d2d2a8ce271a60a519629928f62544128e3048
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 5 14:54:08 2015 +0100

    demux: adaptative: handle peek error code (fix #15819)

commit fc9609800ca7da65744134bf70ccad903ea83f24
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 4 19:28:13 2015 +0100

    demux: mp4: simplify getnextchunk call

commit bdd933951d35e3af917731d07a8d5152cf91d451
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 4 18:09:48 2015 +0100

    demux: mp4: remove superfluous include

commit a5737c170eebf6a3cb53688358530fbbd3a5c7e7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 4 18:09:24 2015 +0100

    demux: mp4: remove unused CreateUUID

commit dacc4cb76266734692dc11d6ccd48a59ddd0ccd5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 5 14:45:38 2015 +0100

    contrib: soxr: fix build with arm64

commit 860f831fc1ee17caca4225e40bb78fc5b8964dc7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 5 12:35:21 2015 +0100

    libvlc: don't release media_list while it's used by media
    
    Indeed, events callbacks can access the media_list.

commit 5dafc001bb1f8fc6a2dc2b51eed7a4486ab2f9f2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 5 10:03:19 2015 +0100

    Modules: Remove tabs in source code

commit 9c9e634693b6434493442fed56ed056020808bc9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 5 10:00:01 2015 +0100

    Remove tabs in source code

commit 341e98d348d5a42730b80f92ff272e3b549efcf4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 5 09:40:00 2015 +0100

    test: media: use a sem

commit 707e35c83c21e13db15725c380e310d3ba1d6aaf
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 31 23:03:35 2015 +0200

    stream_output: don't skip fifocount check on MuxGetStream
    
    Even if we can add stream in any time, we should just continue
    to next track if there isn't enough blocks in this track. Otherwise we
    could try to query empty fifo.
    
    ref #15747

commit ce6db7865c0f3c34624d385c9aeace49fa10b3d1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 17 10:51:16 2015 +0300

    codec: don't drop blocks marked BLOCK_FLAG_DISCONTINUITY

commit c736ebc0538af331d9cb5e56fd0fbfab0b62610c
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 17 10:50:52 2015 +0300

    codec: don't drop discontinue blocks
    
    Most of the cases it's enought just to set pts so codec resyncs itself.
    Also flushing on discontinue isn't good idea.

commit 9668f1a0280644e12679d07deeef208951bd3f23
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 17 10:45:42 2015 +0300

    Revert "qt4: discontinuity stats signal timeline changes in the content"
    
    This reverts commit d700966ec0ab7f98ae4308cfcffe5c4d7ea66718.

commit 28dd314d384b1b5659e30ef608676592612fc6c0
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 31 15:57:34 2015 +0200

    vlc_block: Mention about what discontinuity means
    
    No timeline change, but possible missed blocks.

commit 88b227ceafaa8e84a16a4e93fe66963ee3666b30
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 17 10:45:35 2015 +0300

    Revert "vlc_block.h: Clarify usage of BLOCK_FLAG_DISCONTINUITY"
    
    This reverts commit de4be0a4505564a5f758f06edd74f49498107f6e.

commit d9cc405c84b08ae690c84ce12e6835c4aaef176f
Author: Salah-Eddin Shaban <salshaaban@gmail.com>
Date:   Wed Nov 4 23:41:38 2015 +0200

    Freetype: comments and documentation
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c20e03737694de085f5acccf63b7969d81b9d520
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 4 21:39:58 2015 +0200

    filesystem: fill in input item type
    
    This restores the directory type, and adds a few more.
    
    Regression from c0660ee36b9aebc051dd9422c1b108089902c8d5 (directory)

commit 6a370dcfe197b510de11577e72a6192bcc9d3e82
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 4 18:10:21 2015 +0100

    test: fix test_media_preparsed
    
    Don't use libvlc_media_parse and libvlc_media_get_tracks_info (deprecated).

commit 7da16002e36da1bce6621602a9d8a622e096bb22
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 4 14:29:45 2015 +0100

    Contribs: accept more toolchains for OS X

commit 8521a85af958f1c40b5c3aad8da33c94412db7e0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 4 10:51:09 2015 +0100

    Contribs: correctly clean the libbluray jar when rebuilding

commit f5ba89ad551f94883724f0f4db79bf6a57d047e5
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 31 16:05:51 2015 +0200

    Revert "ts demuxer: Passthrough timeline discontinuity"
    
    This reverts commit fa9af46da2190e05398d8e1e3e932312c24fd73f.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 801941266d0c8a80309203ce10db7e07c407d30c
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Tue Nov 3 20:21:47 2015 -0500

    contrib: update gettext to 0.19.6
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ca90a8297679846861b57bb3706c639456575382
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 4 08:58:02 2015 +0100

    Contribs: update libbluray to 0.9.1

commit c22697dd6afe0ff2f16ee8a7feb894dc05c85ac7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 3 23:00:26 2015 +0200

    test: fix format string

commit eb97622cb468829528df28032133e42515190f23
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 3 22:47:58 2015 +0200

    cache_block: unused variable

commit adec20c8d909103e621a04c004027856329eda18
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 3 22:47:08 2015 +0200

    png: fix variable clobber due to long jump

commit 99d4a4fd7488c75cb574d5019506d260ad8200cf
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 3 19:06:04 2015 +0100

    Extract captions from DIRECTV

commit 24d5b1e1113b3ac5499b26e65ccdd5a9393ccee4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 3 16:16:25 2015 +0100

    configure: require soxr >= 0.1.2
    
    Since our SoXR audio filter use the soxr_clear function that is broken before
    0.1.2.

commit c47f787422f1a882044a962e00bc94c91f3d88e4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 3 15:29:14 2015 +0100

    soxr: implement Flush/Drain

commit 004078f2fe55b616e029e5f64b23bb03c773f135
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 3 15:13:34 2015 +0100

    soxr: use a fixed and a variable-rate SoxR instance
    
    The SoXR variable-rate engine is slower than the fixed one, so use it only when
    it's needed (when the input ratio is changing to catch up a delay).

commit c08ef22cc8ad67ee69be21707cc45f5df31495a1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 2 15:58:22 2015 +0100

    soxr: don't handle the case where input is not fully processed
    
    Keep it simpler, it shouldn't happen since we alloc an output buffer that is
    slightly bigger than expected (in order to have enough room for data that is
    held by SoxR).

commit dfbb6e18508d981007b21196ad96fb79253ad162
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 2 15:51:01 2015 +0100

    soxr: factor output len calculation

commit 5ad44ad0c22d17338d5fb17c31147b4083f2074d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 3 15:28:48 2015 +0100

    audio_output: drain/flush aout filters on flush

commit 068958cf76fe80b06171061301845ea178a7e9c2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 3 15:28:21 2015 +0100

    filter: add aout_FiltersDrain and aout_FiltersFlush
    
    These function will drain/flush the chain of filters of the audio output.

commit 9dc41985c90a30298db56c7bbcd27144dc02f62f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 3 15:25:55 2015 +0100

    filter: add pf_audio_flush and pf_audio_drain
    
    pf_audio_flush will flush/reset the state of an audio filter.
    pf_audio_drain will drain an audio filter, it'll returns a block_t containing
    the drained output.

commit 51ca639648a51fa5f366a7bdcc64a7719b0180e9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 3 15:27:46 2015 +0100

    update NEWS

commit 169dd181dd9e1287c0ee9097ca4b199eb64dfe56
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 3 15:14:45 2015 +0100

    stream_filter: smooth: remove legacy smooth filter
    
    Deprecated by adaptative, which is also now jammed by filter.
    Drops specific MP4 forged smoo/stra hacks.

commit 30819e5de436ccdbe53a993b7a435bd6aebcdb50
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 3 14:37:40 2015 +0100

    libass: remove legacy code for Apple platforms

commit 9982a160254035b6089e0de0e61b0b90b70ce0f9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 3 13:51:39 2015 +0100

    wpl/ttml: hide xml errors when probing

commit 6f90434be8ed5bed42eb32a2716c472ade1f2142
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 3 13:45:19 2015 +0100

    demux: adaptative: hide errors on non strict parsing

commit 1bd5110b5b849f37db12283b4b4cc8722c080a55
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 3 00:39:23 2015 +0100

    demux: smooth: fix MaxWidth/Height

commit 2ce0913abbd7cd195b85ea5a5b8ff84205832d64
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 2 23:21:41 2015 +0100

    Makefile: remove a leftover debug

commit df703b2a7f8173fa629a4fe57b57cf5472951245
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 2 21:48:53 2015 +0100

    demux: adaptative: reorder and optimize probing
    
    uses xml reader for encoding proofness
    now reuses and shares xml reader

commit f84a3af2a8bd9f0128fbc01a4760a4e66e02c91b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 2 22:02:38 2015 +0100

    demux: smooth: remove dead code

commit 0b4e9f1bab9f34ffc9ccdfc46bd5fea85a058076
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 2 21:58:26 2015 +0100

    demux: smooth: fix tfhd track id patch for non live streams

commit 69afe9694105de1b17b02e929d4b5b7a034e1136
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 2 19:35:46 2015 +0100

    demux: dash: don't store mpd in parser

commit 4c6b8b7037b28e514c4828ab0b426e39b49b58ac
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 2 19:23:28 2015 +0100

    demux: dash: drop mpdfactory

commit 877863da9ff201cc04b84c3b78e0e25df3295953
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 2 18:49:57 2015 +0100

    demux: adaptative: remove duplicated logic creation

commit 39f26abaa7d6dbd20aa11146a3726bb818bfc462
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 2 23:03:32 2015 +0200

    input: fix NULL dereference

commit 0682a265e54128be5d1ea48f0c26103e301fd1ee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 2 21:19:14 2015 +0200

    configure: gettext needs format macros too
    
    The PRI macros are used in some of the translated strings, so libintl
    needs to support them.
    
    Note that need-formatstring-macros nonobviously implies need-ngettext.

commit b3239cf77e32c2aca93d71b348695702caddf5ed
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 2 21:18:26 2015 +0200

    configure: update gettext to 0.19.6

commit 2741ffe68d62fd2cdb27b7fd062b6799df56316b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 2 18:11:50 2015 +0100

    demux: adaptative: fix splitted bandwidth stats
    
    And avoids creating stats from non http chunks (smooth)

commit 0deb1edc72726f0d694a43d3160095742fa30315
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 2 17:34:14 2015 +0100

    NEWS: fix information about libvlc symbols

commit 044bfb968f5d602ff787175ed90dcb14b13a9a1e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 2 16:39:14 2015 +0100

    demux: adaptative: fix access after free/delete ordering
    
    delete connection manager last,
    streams will want to close unfinished downloads

commit 4a894c76b05c950e1692199af55b6984130198da
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 2 02:57:29 2015 +0100

    demux: mp4: handle broken ismv trun data offset
    
    Some smooth streaming implicit trun data offset are
    pointing to (seems) tfhd 1st byte, instead of moof,
    resulting of first samples pointing inside moof.

commit 6d9aba2f8b96ca5877a331b5b655cc1d79ccaa9c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 2 12:23:36 2015 +0100

    demux: adaptative: fix tfhd track ID on segment read
    
    Better than late in-demuxer fix.
    reverts 8b269f94fa95a1d374140fef3a8f3fd33422bddd

commit 33ea1f237e228216fcb62a7e5fdbc5ecaa42dab1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 1 22:58:19 2015 +0100

    demux: adaptative: handle durationless manifests

commit 1c64e88c54450029eecf53b16ca77658eb8a6179
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Oct 31 12:53:30 2015 +0100

    demux: libmp4: add vc1 atom parsing restrictions

commit c0660ee36b9aebc051dd9422c1b108089902c8d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 1 19:15:15 2015 +0200

    file: restore file descriptor support (fixes #14897)

commit 024cbe94887fdaf4b6838ace34d073363344f322
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 1 19:14:43 2015 +0200

    archive: fix NULL program counter

commit 47f74a83c161173b0d15e95dab8ceb7c97de51b4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 1 18:11:59 2015 +0200

    Revert "ALSA: request large enough buffers first (refs #10422)"
    
    This reverts commit 4aeccbd7667c65bd278111a26c2aab088bc60a20.

commit 6ae2905ef7fbc7de3a3a4a1bdf8ad6df46ce570a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 21 21:55:03 2015 +0300

    decoder: reduce owner lock scope for aout (fixes #10422)
    
    The decoder thread no longer needs the lock to use the aout, only to
    modify the aout pointer.

commit 5b2de76965ee8b1ab5e3257f8b6d71bbb4e9e3f9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Sep 29 22:04:10 2015 +0300

    decoder: handle pause within the decoder thread
    
    This removes the last direct (ab)use of the audio output object from
    the input thread, and the penultimate one of the video output object.
    
    This solves some race conditions whereby the output pause state was
    enabled by the input thread, while the decoder thread had decoded data
    blocks to queue for playing. Decoded blocks should never get queued
    during pause.

commit 986bea5b9f4c0dc042d9765355e1e8da7196737f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Sep 29 22:45:59 2015 +0300

    decoder: reorder thread loop
    
    There are no real functional changes here. At the first iteration,
    wait_acknowledge is no longer signaled upfront. Because the thread made
    no observable changes by that point, the signal had no effects anyway.

commit b6300cef4f0163af88d6e7345d614c3c26785b87
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Sun Nov 1 13:14:25 2015 +0100

    qt4: openurl: Cosmetic

commit 934d0965d549aca18f28df6f6814ec429b5917f8
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Sun Nov 1 13:11:10 2015 +0100

    qt4: Fix some missing "override" related warning
    
    Also mark overriden function as virtual, for clarity.

commit a286b2aa6ce44f10849b815af2c8ec16784b539e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Sun Nov 1 13:05:58 2015 +0100

    vdpau: Remove unused function

commit 4091c41c561ae4956507672c13ce398d72bcd22f
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Sun Nov 1 13:01:34 2015 +0100

    qt4: preferences_widget: Cosmetics

commit 3b001b95b0679efe4341d49336ab063003b0f9dd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 31 18:51:58 2015 +0100

    Adds .amb to the extensions list

commit 67fcea72c239e0f1271ae40512826bd7f4528bff
Author: Emeric Grange <egrange@gopro.com>
Date:   Wed Oct 28 15:39:50 2015 +0100

    Demux wave: Add support for .AMB file format
    
    AMB are just WAVE files with custom GUIDs to indicate 'Ambisonic B format' datas
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ebe334327a6fb1662ac2fb17fbdfe51eed7c1e7e
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Thu Oct 29 17:56:48 2015 -0400

    contrib: keep the gettext shared files
    
    autopoint needs the files in share/gettext.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e6e6275a01fecb6aed8a4d3f2b698ee98212759b
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Oct 30 22:15:04 2015 +0200

    bluray: use bd_menu_call() for Top Menu
    
    - bd_menu_call() uses different UO mask (this is fixed also in libbluray git).
    - bd_menu_call() stores last playback position.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b4899df64b944e00f126d16b3987309deb8142aa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 31 17:57:09 2015 +0100

    Smooth: fix compilation for Android

commit f343ca522ca2418f24000e414ef47bec58dc821c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 31 18:33:25 2015 +0200

    Fix use of %p format string specifier
    
    %p is only for pointers to void, not just any type of pointers. Due to
    variable arguments, there is no implicit conversion here.

commit 84e2d1d74793a4cd5051cf8396daeeee2aea2db0
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Oct 30 18:18:01 2015 +0100

    avformat: fix incorrect log
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit a7b1e4b86de5d3be8a0ab9df31e655ad1c9ef667
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 19 14:09:49 2015 +0200

    demux: adaptative: add smooth streaming support

commit 9ec2d132c5a64b2a90e9e25ce91089fdf7f2f9c7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 29 19:39:55 2015 +0100

    demux: adaptative: fix/update chunk reading and buffering
    
    (dash monosegment was broken)
    need to read large chunks for parsing atoms

commit d7020419f8caae7f314a3286009abdc4a890dbfe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 30 19:25:02 2015 +0100

    demux: adaptative: allow timeline merging from local node

commit aa54a0f21b87d17c256790a2199aa0d9931f29c7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 30 17:45:37 2015 +0100

    demux: dash: only look for index on segment start

commit d84d78033334c09fd773c9a7551bda5505e65a53
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 30 12:39:26 2015 +0100

    demux: adaptative: refactor atoms reader

commit 05663f7bcc67ea578fb38c6b54088cbad81814d9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 28 19:49:35 2015 +0100

    demux: adaptative: fix timeline pruning count

commit d3aa3dd53cc0b4958bbd83104c01800fd510ef13
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 28 19:49:11 2015 +0100

    demux: adaptative: add timeline pruning by number

commit a80264d83db3abdb0415e8f76e1f54f32d058d75
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 30 18:35:07 2015 +0100

    Android vout: log when you can't get a subtitle surface
    
    If there is no secondary surface, and we're using opaque -> no blend,
    and no spu

commit a4ccbaff34726b882975cd32c1826a9a036e81f2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 30 17:32:27 2015 +0100

    Contribs: don't enable soxr by default (yet)

commit 15965484a5b2b16d574698bbbe39883c9febcc35
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 30 16:34:20 2015 +0100

    modules: add SoX Resampler audio_filter
    
    This resampler supports 5 quality presets: from 0 to 4, 2 is the default and
    correspond to "mq". It supports integer and float samples. Performances are way
    better when this module is used as an "audio converter" (fixed sample rate).
    
    See http://lastique.github.io/src_test/ for comparison with speexdsp.
    
    It is deactivated for now.

commit c6e78fd6212106a9a3568d4fc8d934aff28fa56f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 27 18:48:20 2015 +0100

    contribs: add soxr

commit 217c1a6afcfa75387094ed30909d1b5bc642fac2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 30 16:19:10 2015 +0100

    Fix fribidi include path
    
    Close #15781

commit 02a9d0876614d0b882a5dba3cb1ea4701becda7f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Oct 30 05:44:51 2015 +0100

    vimeo.lua: fix video quality selection
    
    Fixes #15778

commit 610ecb908b6855f836840f4b80aa7c30f5499374
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 29 22:37:22 2015 +0200

    Qt4: create video window in fullscreen mode (fixes #2685)

commit deddd862ed251b07a9142d817ef08d601f1f2919
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 29 22:29:00 2015 +0200

    XCB/window: create window in fullscreen state (refs #2685)
    
    This avoids visual glitches when fullscreen mode is already enabled
    when the video window is created.

commit 18321915332c7b33b24c8dc87a86ece213c5db1a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 29 22:13:33 2015 +0200

    XCB/Window: reorder, no functional changes

commit b529f60c287f45cd43d186f6de77d7f117a5c53b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 29 22:09:34 2015 +0200

    window: pass fullscreen state at initialization

commit c41b9606887e57aa4761a5bfe7fc2050ec702969
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 29 22:08:11 2015 +0200

    window: handle fullscreen state at initialization

commit d2d4277c62582aeb6c0ff829f0b4149e50cf798d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Oct 29 03:46:11 2015 +0100

    lua: remove obsolete preferred-resolution safeguards
    
    These checked for the availability of vlc.var.inherit and
    preferred-resolution at the time they were introduced, for script
    compatibility with older VLC versions. By now it should be safe to
    assume it's always available.

commit b20f17a5a722c176287efedd691d1354cbb649b5
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Oct 29 03:40:39 2015 +0100

    youtube.lua: don't downgrade from HTTPS to HTTP
    
    This can be a security leak. This works as far as vlc.access is
    accurate.

commit a561e5fcb926708442f2f4e21d55d20989bccb00
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Oct 29 03:35:13 2015 +0100

    soundcloud.lua: match HTTPS use for secondary request with original one

commit d4b9229816ce947b063c063fcf4641d153007611
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Oct 29 03:33:27 2015 +0100

    soundcloud.lua: support for private tracks

commit 58ad6be8c45f8c9586861c6d622097e1bc945df6
Author: Shlomi Fish <shlomif@shlomifish.org>
Date:   Wed Oct 28 22:36:38 2015 +0100

    lua: fix HTTP loadstring in lua 5.2+
    
    Close #14988
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 167830d4c39b773ad28f591d2e4ecb66d43022b8
Author: Valter Correia <valtergcorreia@ua.pt>
Date:   Tue Oct 27 22:45:55 2015 +0000

    Qt: fix enter event in addons manager
    
    Hitting ENTER in addon manager search field no longer makes tab content disappear
    
    Closes #15162, #14553
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b550d43972587753833ebd84d91cfbd3ecf7e1d0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 28 22:08:01 2015 +0200

    rtp: fix MPEG-TS over RTP (fixes #15749)

commit 157f892928afa63c006965d7f7414f92bb5f885a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 28 18:51:57 2015 +0100

    demux: mp4: set bitrate

commit 7a36207825e77b01936668265fd543b43823c830
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 28 18:52:29 2015 +0100

    demux: libmp4: handle btrt atom

commit 5ee57b864a30473cda72532e8ce0f30e293cd15c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 28 18:26:23 2015 +0100

    demux: mp4: add youtube meta

commit 604aa2b44e8df8e1d97f33d32f41d7d8ea55691a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 28 19:45:21 2015 +0200

    preparser: abort ongoing input thread at exit (fixes #14571)

commit ff384dc7dbcff1903d22ec251098b4198e1d08e8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 28 19:24:09 2015 +0200

    input: remove input_Preparse()

commit c53708ad344cd5da7cfff9ca6d34921248318123
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 28 19:23:12 2015 +0200

    preparser: start and wait for input thread explicitly

commit d8e2c680c6025a99b13e890ac4b83551182bf930
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 28 18:43:36 2015 +0200

    input: preparse in a thread (refs #14571)
    
    This adds a new function to create a preparsing input thread, and
    runs preparsing within a dedicated thread.

commit 60195a382a486fc7727a357a20fbb277b82f0bd3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 28 17:23:55 2015 +0100

    Fix po/POTFILES.in

commit e57e3b6c7717684376ba6d6458cdef6b19e77d2f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 28 14:41:45 2015 +0100

    Adaptive: include <sstream> in Conversions.

commit 5930b42812df8e2f6a6483eb093474706ab9dc04
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 28 14:37:58 2015 +0100

    mp4 mux: include time.h

commit 92ff36d40c6e48a8c7b0cc9553e91dbe92e08aae
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 28 14:29:11 2015 +0100

    Adaptive: fix integer promotion
    
    std::max is only defined on same T type. Older GCC fail to promote it
    correctly.

commit 4e38dcb0fae8db06d0074db42b48aece47403e8b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 28 11:09:37 2015 +0100

    tools: update xz

commit f6669c9142a99b193589f5544a3552588fa4d505
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 27 23:09:31 2015 +0100

    Contribs: we want a pure harfbuzz :)

commit 7b2088351a6074ee1f8574d606ff34e0e7d998fb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 27 17:31:38 2015 +0200

    alsa: fix invalid free

commit 3c44307388b9bb63aadd2ea7f51685a606892cdc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 27 19:29:45 2015 +0100

    demux: adaptative: add missing include for win32

commit a5d7067e9a7e73fb7adb392f513da57fcbb6824f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Oct 17 00:55:22 2015 +0200

    demux: adaptative: add chunk backend/source instea of direct reads
    
    because we'll need fake chunks

commit 8d8a63bcee14839a0b12af21535724cf032eebfb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 26 20:35:00 2015 +0100

    demux: adaptative: fix and replace timeline merging/pruning

commit e89408b6f7a88bcf11ab94f2c39255340b56a58a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 26 14:51:37 2015 +0100

    demux: adaptative: enforce timeline timescale

commit 8672e25796b4fd0596194a72b893f6e6076ba266
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 25 16:49:28 2015 +0100

    demux: adaptative: provide xmlreader reset ability

commit a1c9926d42720443ece7e637fdf1d741928c0c5e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Oct 24 16:46:48 2015 +0200

    demux: adaptative: first timeline number

commit 3f1a8f848f818569c44671aef0d6057c00aa0e81
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 25 15:03:34 2015 +0100

    demux: adaptative: fix wrong timeline duration

commit 78493346906a5156264230fd60e3e9cae5945b67
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 23 20:36:20 2015 +0200

    mux: mp4: replace broken code using packetizer's

commit 71c4cc66456facb59cd0eef1626be1be1befeb39
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Oct 24 16:48:23 2015 +0200

    demux: mp4: don't set pts if no ctts
    
    for WMV/VC1

commit ed863ecfc8b6f7c224396ec95082804d747dfc61
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 23 23:47:19 2015 +0200

    demux: mp4: fix trun sample ctts values

commit 8b269f94fa95a1d374140fef3a8f3fd33422bddd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 23 19:09:00 2015 +0200

    demux: mp4: add adaptative smooth hotfix

commit 9187e4c825810b81910f9934a9f60d4ec822e854
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 23 15:21:01 2015 +0200

    demux: mp4: add support for wmapro

commit 2ae1a2a240337d4d7d40971d567da5f627093f5d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 22 23:51:42 2015 +0200

    demux: mp4: enable WVC1 complex profile
    
    and fix write overflows

commit 5e365c18b553f72fe597d9bbb9f227897bb1acc1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 23 16:23:51 2015 +0200

    mux: mp4: add support for wmapro/wfex

commit 4838b54a1d2a1b316556d64fd2940e51d6e42d0a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 22 23:31:38 2015 +0200

    mux: mp4: add support for vc-1/dvc1

commit 1d839b06b42f73c4d355dc06f8f34ad1406a0b75
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 20 15:19:19 2015 +0200

    mux: mp4: split moov creation from mux
    
    should be reusable

commit f77b1a586ce1f3b4c20ccb4dcbade041dd56f21e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 22 14:14:49 2015 +0200

    demux: mp4: fix track enabled/disabled debug spam

commit 3a01d97a0b6ba55f4f1b73a925c3a614311d8b10
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 23 19:14:26 2015 +0200

    demux: adaptative: add timeline seeking
    
    Timeline was only supposed for live usage

commit 5bdf5dbd9b2e87e13f243462c62c7c1343013cbd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 21 18:40:43 2015 +0200

    demux: adaptative: add timeline debugging

commit 999d056fd67d041d7874be837b05ff8c7656ef00
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 19 22:33:39 2015 +0200

    vlc_bits: fix invalid conversion

commit 002015caa142a310c7e3665fc31ed0b1f5f7a676
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 16 19:31:23 2015 +0200

    demux: adaptative: simplify using BytesRange

commit 350141857ae89100dbeb922ab2cf41058e7f77c9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 16 18:08:15 2015 +0200

    demux: adaptative: move Chunk out of connection and simplify ranges

commit a34ae180610b34899303b44b33c48af42c884714
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 16 19:15:31 2015 +0200

    demux: adaptative: add http bytesrange class

commit b656202b5cfec33bfe0543edb9b830a04f58d0ed
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 16 15:34:04 2015 +0200

    demux: adadptative: reuse connection by hostname/port/protocol

commit e0ed2d064cee07a0605912a00a5307d6cc2d30cd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 19 18:02:10 2015 +0200

    demux: adaptative: move xml types conversion away from dash

commit 3a3e44f33176c7353d8ef4d33185e5af3267fc56
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 19 15:55:41 2015 +0200

    demux: adaptative: move xml stuff out of dash specific code

commit 65433f09b5714ad36ce595675273128e347f526f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 15 16:39:44 2015 +0200

    demux: adaptative: remove unused Chunk members
    
    still carried from early impl

commit 96a08736553fa98dfebc1dc16bcc41de163cd49e
Author: Romain Bentz <bentz.romain@gmail.com>
Date:   Tue Oct 27 17:48:34 2015 +0100

    Android vout: Correctly clear SPU regions when Close() is called
    
    Previously, when Close() was called, SPU region were not properly cleared.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 17a10dc66037fd5f586c9e291186463019e23dea
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 3 13:38:40 2015 +0300

    avcodec: reuse existing pixel format if possible (fixes #14621)

commit adf9ce6dc626ef25ef94b8adb80e764cfbc86a50
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 28 23:51:58 2015 +0300

    avcodec: split video output format update

commit e7f7c9cbad32675b02592a8d3a5d3da470b0a0ce
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 28 23:34:40 2015 +0300

    avcodec: remove bogus conditional
    
    Both branches of the conditionals had the same results.

commit 77407471e405dfc998ed31c298ccc9618e5229e8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 26 19:26:29 2015 +0100

    Android vout: remove trailing space

commit 97f1d2bdc1b9dd61cbe408d0cda9774c39b056cb
Author: Romain Bentz <bentz.romain@gmail.com>
Date:   Mon Oct 26 18:58:35 2015 +0100

    Android vout: Correctly display SPU on region change
    
    Previously, when SPU id was identical but its region changed, it wasn't correctly redrawn.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 32adc07bd6cbbafdf8a0cabd89025d1944b9367a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 12 23:31:53 2015 +0300

    strnstr: needle cannot be NULL

commit a2ee2cdd79a8982661b8235448d5d1e7adf7ed67
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 26 11:38:11 2015 +0100

    contrib/freetype: fix compilation on Darwin

commit d518c73eb8870dd708879b643c06aaf493df3d66
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 26 16:57:09 2015 +0100

    demux: ts: don't override type before registrations

commit 3eb40a03a755809c982a1034587c6dfb38c5d262
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 26 11:02:12 2015 +0100

    contrib/matroska: fix sha1 line style

commit 5797f212a80d3bbd40bf51a3a10f47d1ac8b7974
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 26 00:14:16 2015 +0100

    Contribs: update Freetype to 2.6.1

commit 325b31f6e88b82f403c10a4bf1e3cd6a8a9bc52a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 26 00:12:46 2015 +0100

    Contribs: update Fribidi to 0.9.17

commit 24ea755b798ddaf3633c388f73c053d53b9a2ce9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 23:52:28 2015 +0100

    Contribs: update harfbuzz to 1.0.6

commit 818f41da6b10ac9ef55bb277919156d6af49618e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 23:35:44 2015 +0100

    Update NEWS for libvlc_media_player_set_*
    
    Android and Evas

commit 3f79c105b8ec8f97668b29dc56480611054381df
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Sun Oct 25 15:59:13 2015 +0200

    Bluray: Fix comment
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9dcae1d3ea13fa900ee64e5a0eccbdc8a1b8e90f
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Sun Oct 25 15:59:13 2015 +0200

    bluray: check for java when playing disc with BD-J menus
    
    If Java is required but not found, show error message and play without menus.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b2f0c8d6552bcc0bec94c0372844d19f158c7df6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 22:44:47 2015 +0100

    Freetype: remove unneeded includes

commit 600dcf51ea2c91e61386d41bbcae68e2a9acacc2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 22:11:51 2015 +0100

    Add .ttml and .dfxp extensions for subtitles
    
    Close #15726

commit 695a6ba58bc5a44c287e1a51a2b17a0627951f49
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 25 22:20:57 2015 +0200

    plugin: add separate category for video splitters (fixes #9967)

commit f2989d2eb2062795cbb9e1acc7ffde65a79ff2d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 25 22:03:12 2015 +0200

    input: fix infinite loop with threaded demux (fixes #15617)

commit b83931193c56c424d13c87174f54add3698da27c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 19:41:34 2015 +0100

    Freetype: Remove unneeded include

commit 34b3bbcd09651117965fa1842aea153696e6f029
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 19:31:10 2015 +0100

    text_renderers: clean the Makefile

commit e85a00c7fa77383bbd524974c1e12078661cd1e9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 19:26:04 2015 +0100

    Freetype: split OS X code to its own file

commit 391590aebb2b5619cc781d65fafceef37e017db7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 19:20:55 2015 +0100

    Freetype: fix fontconfig on OS X && Win32

commit c6e7cc75da933064a3e2bf2c48c464fcfef6101f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 19:18:01 2015 +0100

    Freetype: split Android code to its own file

commit b54170d59b8d6031ff62cb6a2851c6084749435e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 19:12:48 2015 +0100

    Freetype: split fontconfig management to its own file

commit 41eb7f4e1ad7f5b9ccccc213868ec708fafc7644
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 19:04:19 2015 +0100

    Freetype: split Win32 code in its own file

commit 0c76db2eace919d75307830daf87748ea10fa4f0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 18:33:54 2015 +0100

    Freetype: fix Android miscompilation

commit 4e55554c37e7c55586c41a5e9fc50f393167ac0b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 23 22:46:26 2015 +0300

    qt5: unsubscribe disable motion and XI2 mouse events
    
    ╔═══════════════════════════╗
    ║ PARENTAL ADVISORY:   R-24 ║
    ║ EXPLICIT CONTENT          ║
    ║ INAPPROPRIATE KLUDGY HACK ║
    ╚═══════════════════════════╝
    
    This extends the existing kludge to catch mouse clicks in the video
    output instead of the Qt framework. From version 5.5, Qt uses XI2 to
    catch mouse events.
    
    May or may not interfere with touch devices.
    May or may not interfere with cursor changes.
    May or may not be forward compatible.

commit adb79e33f29a48c097fb27aa5a5da66546d638ee
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 18:12:28 2015 +0100

    Freetype: add comments to platform_fonts header

commit fae6bc21bf6881ac6469ddd276e98a0b1fd3d6e4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 18:09:52 2015 +0100

    Freetype: rework Android selectors names

commit e3fe060eda90a11c51bdcfdc4ec06da7125fe300
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 18:07:01 2015 +0100

    Freetype: rework fontconfig selectors names

commit 6a91698d2a051291072e7ce837bb84ab3f411d60
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 17:57:03 2015 +0100

    Freetype: privatize LoadFont() and document SelectAndLoadFace

commit b5d615ed6e55286e6d337168e76f640d72fb8b44
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 17:47:26 2015 +0100

    Freetype: rework includes

commit 984e48cc436580043769f905d22829d4b8d99462
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 17:29:24 2015 +0100

    Freetype: cosmetics, cleaning and comments
    
    Notably in Close()

commit a43dbcf44347a15f9391bb0cb83be57e02f9077d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 24 19:51:27 2015 +0200

    Freetype: update copyright years

commit 04ff01954164a80360b5bc30094b08310b7d684d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 24 19:49:34 2015 +0200

    Freetype: add comments and documentation on the fonts header
    
    And also privatize AppendFonts|Family

commit cf5951e9762f7ce1f288866ffde808fc4f16e3ca
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 24 21:32:29 2015 +0300

    input: do not clobber master frame rate

commit 37c38fd3e09191974d42c9f4b39657893cd32486
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 24 21:28:49 2015 +0300

    input: remove INPUT_GET_VIDEO_FPS control

commit 1bfa201653a76d08816cf672d60a0d1d8bb3f866
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 24 21:27:36 2015 +0300

    Deprecate libvlc_media_player_get_fps()

commit 72b1563b966913b40f684eb9ea10e57edead4bec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 24 21:23:25 2015 +0300

    lib: get frame rate from media ES, not from demux

commit 9ee4324082a23d1ef5dc9053354cb47567af4023
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 24 21:09:26 2015 +0300

    input: make source an object
    
    This groups the demuxer with its stream and stream filters. This is
    also required (but not sufficient) to supply separate options to slave
    sources than the master source.

commit 12ee3312301486c475ed72d91e3e30c414d309d9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 24 20:57:33 2015 +0300

    input: merge InputSourceNew() and InputSourceInit()
    
    Also merge InputSourceClean() and free().

commit 786cd054ee276adccbb8438875301f8cd77863eb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 24 20:20:38 2015 +0300

    input: allocate master source like slaves sources

commit 419ceeea8a1b89925b76d225e52b6acae3aaf233
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 24 20:10:22 2015 +0300

    input: tautology

commit fd07f90e45f9aee1bd548436196ca31a485b9981
Author: Salah-Eddin Shaban <salshaaban@gmail.com>
Date:   Thu Oct 22 14:53:50 2015 +0300

    freetype: font fallback for Windows
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 195da069601aaf18a65633d6c80ffd6ee9dea927
Author: Salah-Eddin Shaban <salshaaban@gmail.com>
Date:   Thu Oct 22 14:53:49 2015 +0300

    freetype: font fallback for Android
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3085d9bca9802e4bc1ef7efa207255de012bae8e
Author: Salah-Eddin Shaban <salshaaban@gmail.com>
Date:   Thu Oct 22 14:53:48 2015 +0300

    freetype: font fallback for Fontconfig (Linux et al.)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e8793fded7ad2728163c1b1f0849e4243fff6b56
Author: Salah-Eddin Shaban <salshaaban@gmail.com>
Date:   Thu Oct 22 14:53:47 2015 +0300

    freetype: font fallback structs and functions
    
    This will close #5353 #2336 #4973 #5123 #5144 #5847 #7729 #7990 #8641 #12141 #12432
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 290ebe50e0d2319a17759e1d4eae6e4368687d4c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 23 19:26:24 2015 +0200

    evas: add Tizen TBM Surface support

commit cbecdf6ad0a5bc5e61d8635ff86f274955c69008
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 23 18:45:38 2015 +0200

    modules: add Evas video output

commit 994505345052fe8ff605b271487291ea9e36d091
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 23 18:46:02 2015 +0200

    lib: add libvlc_media_player_set_evas_object
    
    Used to pass an Evas_Object * for the future Evas video_output.

commit e8566831c31dfeb27ccd898d2aada73f9ef987e0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 15 09:58:20 2015 +0200

    configure: add HAVE_TIZEN_SDK define
    
    And simplify Tizen detection: don't use TIZEN_SDK_MAJOR/MINOR that are only
    defined from the Tizen port build script.

commit 146ad882b0e03ebe27a4638febb6b664763b4cc9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 23 19:53:56 2015 +0300

    qt4: cosmetic rename

commit bf294ee5cc3830b05a4505fb1624191b70244e81
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Oct 23 13:11:29 2015 +0200

    osx_notifications: Check if user notifications classes exist to prevent crash on 10.7
    
    Add checks for NSUserNotification and NSUserNotificationCenter so we do not
    use them on OS X 10.7 and below, to prevent VLC from crashing if it
    is compiled on 10.8 or higher but ran on 10.7 or below.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit eed767fc879e8deb7bec0e17e939534a3a34130a
Author: Boris Egorov <egorov@linux.com>
Date:   Fri Oct 23 15:42:25 2015 +0600

    ttml: Do not use deallocated pointer
    
    Signed-off-by: Boris Egorov <egorov@linux.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 983d64cc0ef7770efe5eec76419bfc69eefc8787
Author: Boris Egorov <egorov@linux.com>
Date:   Fri Oct 23 15:42:24 2015 +0600

    egl: Fix syntax error
    
    Signed-off-by: Boris Egorov <egorov@linux.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f8ab474b225fff5a8279b933d4bf37c48f7e077a
Author: Boris Egorov <egorov@linux.com>
Date:   Fri Oct 23 15:42:23 2015 +0600

    text_renderer: Fix syntax error
    
    Signed-off-by: Boris Egorov <egorov@linux.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 80cada9e776c3ef0339c1f2c424b4322f84cdfa1
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Oct 23 12:13:23 2015 +0200

    osx_notifications: Use active state notifications for compatibility with OS X <10.10
    
    This restores the code that used notifications to determine the app state.
    Additionally the inital state is not active, as we get a notification if the
    app switches to active after opening.
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 16742c47904f7d2560a6299a358b58ab47494c1d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 23 11:34:53 2015 +0200

    Contribs: fix sha512 tools
    
    It seems not all sha512sum are equal

commit a4488eada15774868d1f79c7d84aee002f345838
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Oct 22 18:18:52 2015 +0200

    osx_notifications: Coalesce Growl notifications
    
    Set an identifier for the VLC Notifications to make
    them coalesce when changing tracks rapidly one
    after another. (closes #10386)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a4baa14604589df63243a32cd9ca97236eee4d4c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Oct 22 18:18:51 2015 +0200

    osx_notifications: Show notification only if VLC in background, cleanup
    
    This cleans up unnecessary code which could be replaced by a much simple
    check to determine if VLC is in foreground or not.
    Add a missing release.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 13747555fdff4d2b1b8ec95153c86b15525ddaa7
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Oct 22 18:18:50 2015 +0200

    growl: Renamed Growl plugin to OS X Notifications
    
    This renames the Growl plugin to OS X Notifications to highlight
    the new capabilities and to not advertise Growl so much, as
    requested.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fafd1afc111e0251f477ad4ef7e703af6c2e5d13
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Oct 23 08:38:51 2015 +0200

    Contrib: update libebml & libmatroska to fix TALOS-CAN-0036 and TALOS-CAN-0037
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e6c801c54a90ec3c40e1dd2cd6f5e54d3f132eb8
Author: Alexander Law <exclusion@gmail.com>
Date:   Fri Oct 23 11:22:54 2015 +0200

    "Post processing" menu item is not localizable

commit 5f1a70589d6c83482e772934b7323d3ca92025d8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 22 22:29:02 2015 +0300

    stream_FilterNew: fix missing psz_url

commit 284038fbb8ee74ac5700f26cce671a1cfa919285
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 22 21:57:40 2015 +0300

    http: remove internal redirection support

commit 0506fdb335f4cb8dbd569b5d86667bdd80836cdc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 22 21:48:16 2015 +0300

    input: support for (inter-)access redirection
    
    Handling the redirection in the access core enables support for
    redirection between different protocols (e.g. HTTP to FTP) and more
    generally different access plugins (e.g. HTTP to HTTP2 in future).

commit f1cdb745c70d652e2c2224125bd04cdc86412214
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 21 19:47:58 2015 +0300

    input: move stream/stream filter initialization

commit 8826c29c8135bc461f213ffa8f823ee1feaacc11
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 22 21:47:55 2015 +0300

    http: fix initialization

commit dbc8b7819743e08a1602dbf3c07e945142a32f0f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 22 22:19:07 2015 +0300

    prefetch: handle STREAM_GET_SIZE failure

commit 5a54270ebe0d310ada2d6b7449e0caf8d721932a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 22 21:16:06 2015 +0300

    access: fix NULL deref on error

commit ed96e803fc9b2be4e05a745d9f589b1e50c4e186
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 22 17:56:46 2015 +0200

    Contribs: fix libass linking to iconv

commit 20502daae23bcd10eba9cdcc63bfe606e289f5be
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 20 20:04:21 2015 +0200

    test: add test_src_input_stream
    
    This test compare IO output/returns between libc FILE functions and stream
    functions.
    
    This commit also add an extra test: 'test_src_input_stream_net' to test a http
    file.

commit 1abea4749145807d3163d46a4db953149d0b2fd3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Oct 21 12:04:09 2015 +0200

    cache_read: don't fail when skipping at EOF

commit 91b2daf8c840603e843e5e5268fbdf80523285e3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 15 11:45:48 2015 +0200

    cache_read: don't fail when seeking at the end of the stream
    
    AStreamRefillStream shouldn't fail in case of EOF.
    AStreamSeekStream shouldn't fail when no data can be cached after a seek.

commit 8eeb7380c72b735c38a929ff1f0e4339e9df6c18
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Oct 21 15:47:31 2015 +0200

    cache_read: fix unused variable warning

commit c47c2f60a3e9142879de9157f4b57e9f9d764a80
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Oct 21 12:02:48 2015 +0200

    cache_read: add error log

commit e2c4746368114830ba313a27bb7214eaba9b2138
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 15 14:05:38 2015 +0200

    libvlc_media_player: don't use any vout if vout configuration fails
    
    And assert (debug only).

commit 10145e039042c1a15e92b47d7e88f1d632d9c6a1
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Oct 21 22:35:05 2015 +0200

    macosx: fix error message for media information panel

commit 8e18ce4793067d2040aee50860ea6ee970301cb8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 21 22:31:10 2015 +0200

    demux: mp4: reset current position context after failed read

commit aa2bcbfd793c0d0fd43913a85e531ef394babf77
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 21 21:21:39 2015 +0300

    vout: remove useless filtered picture pointer

commit 604913343e6c7106f15f0fe3b8261ffb642e89bf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 21 21:20:23 2015 +0300

    vout: reorder code
    
    No functional changes

commit dfefe47ff25ace43f1ac1fad7fa652c8b99eb1f6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 21 21:14:16 2015 +0300

    vout: fix use-after-free, wait on correct date
    
    The mwait() call dereferenced a potentially no longer referenced picture
    (if the display was filtered).

commit 7ac70075128318c51bbc1c0190482642f7a9226c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 21 20:42:58 2015 +0300

    Qt: fix changing audio device
    
    Change the audio device when the corresponding action is triggered, not
    when it is modified... This completely broke ALSA playback.

commit 1d92fdf3e259b0f8d482b4a5534022cdc71fea16
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 21 20:30:49 2015 +0300

    alsa: insert default choice if not in ALSA device hints
    
    This ensures that the default value ("default") for alsa-audio-device
    is listed as a possible choice.

commit 509f755a9e4f20e56c446cc29a43941e5d1db318
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 21 16:06:55 2015 +0200

    Mediacodec: timeouts are in µs

commit bab44e26a4e91354f8f47e2f1159d1c4fc97f101
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 20 23:29:33 2015 +0300

    input: do not bypass demux when setting pause state

commit 2237ed701d61620ea64851ff597a02be39c1c870
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 20 21:42:46 2015 +0300

    input: factor init code for demux infos
    
    This shares the code between access_demux and demux cases.

commit a2beb67ed706e299010c28d8733e2c0123b57168
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 20 21:08:47 2015 +0300

    demux: provide fallback for pause, PTS delay and pace control
    
    Many existing demuxers do not use the generic control helper providing
    those control queries. But as we now need to support those queries for
    manifest-based or asynchronous demuxers, this fallback becomes
    necessary.
    
    We could also just do ahead and implement the controls in all demuxers.
    Help yourself.

commit b9fa70262ba572e3ae0a2e2b75f829c3f55affea
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 20 21:07:46 2015 +0300

    demux: de-inline demux_Control()

commit 987fc6e9c27e824ba11465752e0e31c22cbacc27
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 20 20:49:30 2015 +0300

    input: use DEMUX_CAN_SEEK instead of STREAM_CAN_SEEK
    
    Some demuxers support seeking even if the underlying byte stream is not
    seekable (e.g. subtitles). Also some demuxers do not support seeking
    regardless of the underlying byte stream.
    
    So it makes more sense to check the status from the demuxer. Most
    demuxers just copy or forward the value from the byte stream.
    
    Note: if in doubt, a demuxer can always claim seek support, and
    eventually fail both DEMUX_SET_TIME and DEMUX_SET_POSITION. The seek is
    only used as a hint for user interfaces; it has no effects on the input
    thread as such.

commit f208b6516d9e644ad703963e55c2c43e9d458019
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 20 20:47:14 2015 +0300

    demux: implement DEMUX_CAN_SEEK control

commit 567822715f7dab6925fd17e7be7abd954cc18154
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 20 19:50:44 2015 +0300

    demux: add some controls to demux_vaControlHelper()

commit b9cbb2631afa2f0b38e7caaa4553389ea008b97d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 20 19:34:37 2015 +0300

    demux: unify possible control values with stream/access
    
    Also document them.

commit f788fa20e1700762351f06fd071c05112db8095e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 20 19:07:37 2015 +0300

    access: fix ACCESS_GET_META and STREAM_GET_META mismatches

commit f96d78321a3a26cf0f70a8677894a83a7adefe30
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Oct 20 17:01:39 2015 +0200

    playlist: Fetcher: Fix leak

commit 1f99b7703507f1a47de18fcfb51d1fb5916c38bb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 19 18:59:16 2015 +0200

    Revert "contrib: pass the LD we use to ffmpeg"
    
    This reverts commit fabb0362f126c14df679ca0e4fadeb6b85d67881.
    
    For some reasons, this was breaking Android toolchains

commit c358dd001c6d86c2389cfc30f7d32351f4600f5a
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Oct 15 19:05:02 2015 +0200

    d3d11va: better logging of decoder configuration
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fabb0362f126c14df679ca0e4fadeb6b85d67881
Author: Steve Lhomme <robux4@gmail.com>
Date:   Thu Oct 15 19:05:01 2015 +0200

    contrib: pass the LD we use to ffmpeg
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 65167a3015280460b5536fe1d76fa886fcb130a3
Author: Steve Lhomme <robux4@gmail.com>
Date:   Thu Oct 15 19:05:00 2015 +0200

    direct3d11: more debug of the format/chroma mapping
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0023f983d39f452d161527ea0bf6452f793aa2ef
Author: Steve Lhomme <robux4@gmail.com>
Date:   Thu Oct 15 19:04:59 2015 +0200

    d3d11_surface: better debugging of surface issues
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 57dbe62748662110655b498036e9544dd3122643
Author: Steve Lhomme <robux4@gmail.com>
Date:   Thu Oct 15 19:04:58 2015 +0200

    d3d11va: add Qualcomm vendor mapping
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e9b73498602277497f847cf647580b904168d2b1
Author: Steve Lhomme <robux4@gmail.com>
Date:   Thu Oct 15 19:04:57 2015 +0200

    direct3d11: add a log message when creating the pool fails
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 656963c731a896e4cc8a818327e1927d48dd01e9
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Oct 16 21:28:14 2015 +0300

    TS: Check stream_Read() result
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 419f47670daeed2888e619a9a224fc622b04d5d8
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Oct 16 21:29:53 2015 +0300

    Update: Use correct printf format
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8b66dc634b0ee49ac39bea125d1b8f3683968f5d
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Oct 16 21:33:12 2015 +0300

    Update: Fix return value
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 690711f5f933d137771d3d21e6c0065a3067c0df
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Sat Oct 17 17:40:13 2015 +0200

    contrib: update libmatroska to 1.4.3
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c18ac66a08dd0ffb7aedd2b9c0a4c3af6a0a7a98
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Sat Oct 17 17:40:12 2015 +0200

    contrib: update libebml to 1.3.2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 59555853c5c0e414cf79faa99b077f8b6239deab
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 18 15:48:41 2015 +0300

    dash: fix format strings

commit 1799ea8f8f43660715958652988980c4ca8d1c58
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Oct 16 18:42:23 2015 +0200

    contrib/growl: Add growl patch that comments out logging
    
    The patch comments out logging which causes a warning log message
    when setting the growl bridge delegate to nil. This is a problem,
    as we need to set it to nil, so that the growl bridge will release
    our delegate. Else it will never be released and dealloc will
    not get called.
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 95a150785577f51faaf56cdff0dade3be8d4ede7
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Oct 17 00:25:52 2015 +0200

    growl: Add OS X user notifications as fallback to Growl notifications
    
    This adds native OS X user notifications as fallback, if Growl is
    currently not running. Those native notifications are only available
    on 10.8+, therefore some preprocessor conditionals prevent that this
    breaks 10.7 compilation.
    There is no explicit check if the class is available as it should be
    on all 10.8 systems.
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit b64e8e787f1f31cc74dde0babfb8745a9ba9b6bf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 14 17:10:17 2015 +0200

    UPnP discovery: add support for SAT>IP servers (closes #11929, closes #15540)
    
    Some servers don't provide a playlist of their channels, so we need to download the list for the chosen satellite from the web and process it accordingly

commit 18994ecded0c9d2ce72608f86fbd2cc7575cf238
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Oct 17 00:35:26 2015 +0200

    doc: install liveleak.lua sample script instead of soundcloud.lua
    
    soundcloud.lua is no longer the trivial example it was before

commit 98d7a343e3c19d455069762460841bef906fcc7c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Oct 17 00:22:22 2015 +0200

    soundcloud.lua: rewrite for changes
    
    Complete rewrite due to website changes.
    
    Based on reverse engineering by Daniel Ekmann, thanks!

commit d1daa6eac867d82ee7a91e2b2c780248c1e1864d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 16 19:54:10 2015 +0200

    demux: mp4: missing temp box parenting
    
    Otherwise fails special parenting checks
    ex: in ATOM_meta reads

commit 8b7a40b641df01291379da6e9ff64de0e916df3e
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Oct 16 19:03:57 2015 +0300

    bluray: use input attachment for album art
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6d7c3ff0731db167df23b652cf93807d801dd71b
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Oct 16 19:01:58 2015 +0300

    bluray: split blurayDemux()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d48032f7bc11d4e2f52fab45e3365a88eb919d8c
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Fri Oct 16 19:01:00 2015 +0300

    Add configure check for sapi.h
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7136d004f8843a67c80b6bc257afd48cd49a47bb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 16 19:15:20 2015 +0200

    libVLC: Expose DiscTotal meta

commit ab163d3ef3b4b9c45466a5759414199470b91347
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 16 19:03:46 2015 +0200

    Taglib: use new method for Vorbis Comments TRACKNUMBER parsing
    
    Because of course TRACKNUMBER can be xx or xx/xx, and then depending on
    the result we need TRACKTOTAL and TOTALTRACKS

commit c925c78d5a3a31ce21b29cc4a9309f14c5f02737
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 16 19:00:42 2015 +0200

    Taglib: extract DiscNumber/DiscTotal from ID3v2

commit 84a19e118248b01cb5b18c693f6d03a3f15c1ad9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 16 19:00:09 2015 +0200

    Taglib: extract first value only if couple is incomplete

commit 265b0886930c889e16b67e64ddf51176c1710be7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 16 18:18:35 2015 +0200

    Taglib: rename extraction function

commit 9e2d67ff1da4ecc3c5e336259b97289800104158
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 16 18:17:04 2015 +0200

    Taglib: generalize the couple-in-string extraction

commit a6ca4e4cc8aa40733cff0b64fa6e64b92262f8fc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 16 18:31:29 2015 +0200

    Meta: add DiscTotal

commit 5cf3ca4819e8df31657702ff274e3c3272a1cddc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 16 18:12:06 2015 +0200

    Qt: expose disc number in the extra info panel

commit 0ad88e130be73fd7e8f301b43c5d3b292bc2c3a8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 16 00:44:45 2015 +0200

    Add RebeccaPurple color

commit 6446c6262229512cbbdb2041b7e3e710a56abbfc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 15 23:17:34 2015 +0200

    Win32 debug: reindent

commit 4706adfb46ee227da33d7262db12de8e73b7821e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 15 14:02:55 2015 +0200

    libvlc_media_player: fix unused warning

commit fdaa7f76a81f2ce05af645d34e5f0cc15fb88426
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 15 09:43:28 2015 +0200

    tizen_audio: use new 2.4 functions dynamically

commit c3112fccef3d14f18520be0b32abe1c3aa6606a1
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Oct 14 18:23:16 2015 +0200

    mpg123: lower the verbosity for MPG123_NEED_MORE

commit 708c6ce40df2021928b73ab745131a83bc83362b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 14 17:29:08 2015 +0200

    demux: mp4: s/file/media

commit 590be7dbc1651ff7493befe676abc0d7aa236cc3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 14 17:27:41 2015 +0200

    demux: mp4: remove dash flag

commit b798c6696574431f3408ca113254232f58558c26
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 14 17:24:05 2015 +0200

    demux: mp4: remove legacy dash probe prevention (fix #15412)

commit 0456bcdc30d01bc2918f62a413dd4f472a94dee1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 14 17:15:13 2015 +0200

    demux: mp4: fix uninitialized vars on failure handling

commit a66c59b5eaaf3940418fea178db1bb3470fef24f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 14 17:10:48 2015 +0200

    demux: mp4: missing initializer

commit 1ac48962ce382e3640157fb8a165c4a1b90aebc5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 14 16:52:23 2015 +0200

    demux: mp4: don't seek to mdat after each probing

commit d00bd3bb37b8f23b5b93b8594882b755fb84fd1f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 14 16:51:24 2015 +0200

    demux: libmp4: don't seek to end of container on conditional stop

commit 477e5dad7811777812f5fbc34747cb368b5456d5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 11 22:28:03 2015 +0200

    demux: mp4: split fragment related code

commit 3f8fdb322628ed4a2e6b571cd8de5ef622e15f2e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 12 16:18:42 2015 +0200

    libmp4: add scaled time alias

commit 093d81daec9c8422a682cbd1dfb65a53f7868687
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Oct 13 23:38:17 2015 +0300

    libvpx: fix vpx compile for previous revert.

commit f213c4393230bee77fe390a26cec9fb8c71c2c5e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Oct 13 23:30:46 2015 +0300

    Revert "codec: don't drop discontinue blocks"
    
    This reverts commit 5e36cb2c1485830cf152c05767301a6732b08297.

commit d0c574814655f95eba90b367e0f47746a8a94a2e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Oct 13 23:29:15 2015 +0300

    Revert "codec: don't drop blocks marked BLOCK_FLAG_DISCONTINUITY"
    
    This reverts commit 48a867c768aeddcd2756c49960eaa2eb42629fbe.
    
    Revert for futher checking

commit 6d888d8c3cd534c858c1dc41564396840c06639b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 13 18:32:46 2015 +0200

    videotoolbox: reject non-video ES

commit 6ca2e8ca5d9ff0727d85b676ed109119984c5100
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Jul 14 16:20:12 2015 +0200

    input stats: handle malloc error
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 601832acf1ee52a77922d4a31e98076faadefc1e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 13 18:02:03 2015 +0200

    videotoolbox: don't modify the decoder's input structure

commit 3707a2561244a901cdbe6a61a5a059db3c8a092c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 13 15:22:50 2015 +0200

    ass: auto-detect font-provider

commit 48a867c768aeddcd2756c49960eaa2eb42629fbe
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Sep 18 15:45:33 2015 +0300

    codec: don't drop blocks marked BLOCK_FLAG_DISCONTINUITY
    
    If blocks are marked BLOCK_FLAG_DISCONTINUITY then do not drop them,
    unless BLOCK_FLAGS_CORRUPTED is set. Instead flush old blocks from decoder
    queue and restart at this new stream access point (new timeline).
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit a901a7884c49b4980a956d050a3866baf1e8eb5b
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Sep 19 18:00:41 2015 +0300

    packetizer: don't drop blocks with DISCONTINUITY
    
    Do not drop blocks with BLOCK_FLAG_DISCONTINUITY, but do drop blocks with BLOCK_FLAG_CORRUPTED.
    
    Signed-off-by: Jean-Paul Saman <jpsaman@videolan.org>

commit 2b57b9effaf49a4ab965eecece5c902f718d5cf1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 20 12:52:37 2015 +0200

    codec/vpx.c: do not leak memory.
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit 5e36cb2c1485830cf152c05767301a6732b08297
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Sep 18 15:45:33 2015 +0300

    codec: don't drop discontinue blocks
    
    Signed-off-by: Jean-Paul Saman <jpsaman@videolan.org>

commit d700966ec0ab7f98ae4308cfcffe5c4d7ea66718
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 20 11:11:13 2015 +0200

    qt4: discontinuity stats signal timeline changes in the content
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit fa9af46da2190e05398d8e1e3e932312c24fd73f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 20 10:59:11 2015 +0200

    ts demuxer: Passthrough timeline discontinuity
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit 2e5d041ea6cdf46bb1c5b6d1f79b3e91c2493f28
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 20 10:27:43 2015 +0200

    avcodec/video.c: do not drop good data on discontinuity but only on data corruption.
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit de4be0a4505564a5f758f06edd74f49498107f6e
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 20 10:37:57 2015 +0200

    vlc_block.h: Clarify usage of BLOCK_FLAG_DISCONTINUITY
    
    The BLOCK_FLAG_DISCONTINUITY signals timeline changes from the source content or due to seeking.
    BLOCK_FLAG_CORRUPTION signals data corruption due to corrupted or dropped packets, this includes
    transport stream continuity counter mismatches.
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit 36cacea6672bcfd759ffbd80b141fd6e85908c2e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 12 18:46:32 2015 +0200

    macosx: fix compilation with Xcode 6.3

commit e9db84d77435a70039f6e77b0b684c17b18779c8
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Oct 9 18:02:58 2015 +0200

    macosx: Rename the Playlist related class files to match the class name
    
    This renames the playlist related class files to match the class name,
    which makes it easier to find the which belongs to a certain class and
    follows common Cocoa/Obj C file naming conventions.
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 4d692bf04c38227e73c0c8ed54ba124aeca845e2
Author: Julian Scheel <julian@jusst.de>
Date:   Fri Oct 9 10:07:08 2015 +0200

    mmal: Fix picture passing through mmal
    
    Assign the picture pointer to mmal buffers user_data right before passing it
    into mmal instead of doing it in mmal_picture_lock. This is necessary, because
    the picture pointer used to call mmal_picture_lock points to the original
    picture instance, while the picture handed to the plugins from
    picture_pool_Get is a clone of the original picture. Assigning the picture in
    user_data caused picture_Release to be called on the original instead of the
    clone. Since commit 22e61f10 this is fatal as the pf_destroy pointer is not
    pointing to picture_pool_ReleasePicture anymore.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b7cbd7b5fe310238a673dc0e3f3c9e5e20e8163c
Author: Julian Scheel <julian@jusst.de>
Date:   Fri Oct 9 10:07:07 2015 +0200

    mmal: Add missing vlc_atomic.h includes
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cafa438d2109a48d17a07b9078953b54cf1afc9c
Author: Moti Zilberman <motiz88@gmail.com>
Date:   Mon Oct 12 12:55:58 2015 +0300

    SAPI: Fix an off-by-one error in voice selection
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 090e1f80dc30c3fc31480b459b010c9c43c58a06
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Oct 9 17:29:37 2015 +0200

    macosx: Add todo comment about deprecated method useOptimizedDrawing
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit a2f5b3e1c1b6eabb44293771c966f623034e0507
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 12 16:27:23 2015 +0200

    videotoolbox: slightly improved error handling
    
    Error 8973 is triggered if the number of open HW decoding sessions is > than the number of available HW decoders
    
    Further, a failing session creation should not invalidate the entire video decoding chain but just trigger the fallback

commit ac8f9982500148fe6d9e2ace0698f405cb4e8f5a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 12 16:04:38 2015 +0200

    TTML: remove trailing space

commit 0ed098b2715de48502cdd26864f49dedeb379c0f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 12 00:30:52 2015 +0200

    demux: hls: hardcode formats depending on codecs/extension

commit 4bb4f6706c6c99c544977d02481f5d017c092399
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 12 00:26:43 2015 +0200

    demux: adaptative: fix skipped line in reply header

commit 70826e2628d70d054385ef7472929339bf56b7af
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 11 23:49:52 2015 +0200

    SAPI: fix leaks, cosmetics and simplify

commit a7eb0f0aa5c3003535a091364160c918db97c4ec
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 11 18:26:11 2015 +0200

    Add a SAPI synthetizer for Windows
    
    This is the work from Moti Zilberman, modified by me to build and
    integrate in-tree
    
    It's heavily inspired on the OS X one.
    
    Be careful: you need a very recent Mingw-W64 to hope to compile it.
    
    Ref #11893

commit e4ea3a00f704337a6a126362433a19c6f22e833f
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Oct 10 16:58:01 2015 +0200

    macosx: disable native fullscreen on El Capitan
    
    Native fullscreen seems to be on by default on El Capitan, even
    if the corresponding flag is not set.
    This implicitely disables the new split view feature if native
    fullscreen is disabled.
    
    close #15491

commit 50dcfe2ac56e9f4e8c98f1cd64076047a20ea83e
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Oct 10 16:54:34 2015 +0200

    macosx: Introduce OSX_EL_CAPITAN runtime check

commit ffa25effb598b6d58dac62903fb08fc9b8965296
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Oct 10 16:46:36 2015 +0200

    macosx: disable fullscreen hack on yosemite and higher
    
    It seems that Apple fixed this issue starting with Yosemite.

commit 7f1e1c0b830e9468666abdb9c169528541ef1911
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Oct 9 14:43:43 2015 +0200

    contribs: taglib: Fix invalid atomic support check

commit 9bd13e067daa2c938faed1504006d4f5654a8687
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Oct 9 20:48:17 2015 +0300

    livehttp: use ChainLastAppend and remove ChainGather to gain speed
    
    ChainGather in this case would make high amount of small memcopies which
    kill performance quite nicely. Also ChainAppend would seek long list of
    blocks everytime.
    
    This basicly reverts 609a5fe2b4cdd2cca8bdd99e917ddd4d377bc6e6 and adds
    ChainLastAppend. Overall speeding up livehttp-output quite a lot.
    
    Reported-by: JEEB

commit 9ea1737f673c8117b663238a0870dd89d305c0df
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 9 20:37:31 2015 +0200

    demux: ttml: fix xml parsing
    
    Restores and fixes 7ce48b0d
    
    This reverts commit 99ef553614db40ea70941f14cadad629ef905e39.
    This reverts commit df5bb189902a78c9fff16e93d2ab094c3628fdf2.
    This reverts commit 9abec5a24c3235aef4ff1fed1ae1a97f104930fa.

commit 09f6d6f25f5afbdb32b2242bd8ddbb2f360a870a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 9 15:52:00 2015 +0200

    demux: adaptative: fix warning

commit 8611385b2ab746fd74c2ee34941ac86fd1070370
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 9 15:46:49 2015 +0200

    demux: adaptative: change fmt compatibility checks
    
    nal based codecs should be able to restart by themselves.
    
    aac needs rate checking wich isn't specified by demuxer

commit b338ab0777dbe79a843408c6c15aa11d08f869f5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 8 12:11:18 2015 +0200

    demux: adaptative: missing virtual destructor

commit 05aa24c89be8893621dd8c144800dc0f76a2b306
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 8 00:27:33 2015 +0200

    demux: adaptative: remove unused streamType

commit 184a844612747d7228ec9cbbe27237f101f00890
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 9 14:25:00 2015 +0200

    OSX: build the contribs in a tripleted folder

commit 99fff2293b1084d205e427acc9cd72b44b79b5d0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 9 14:18:57 2015 +0200

    gitignore: Be more lax with the build folders

commit 1f44f44376eba4a29094c8958999e80aa9291bf4
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Oct 8 15:11:49 2015 +0200

    macosx: Rewrote the About window auto-scroll behavior
    
